GNU Image Manipulation Program
GNU Image Manipulation Program
Preface
Preface
GIMP User Manual Authors and Contributors
Section 1, “ GIMP User Manual Authors and Contributors ”
Getting started with the GIMP
Part I, “ Getting started with the GIMP ”
Introduction
Chapter 1, Introduction
Welcome to the GIMP
Section 1, “ Welcome to the GIMP ”
Authors
Section 1.1, “ Authors ”
The GIMP-Help system
Section 1.2, “ The GIMP-Help system ”
Features and Capabilities
Section 1.3, “ Features and Capabilities ”
What's New in GIMP?
Section 2, “ What's New in GIMP? ”
Interoperability and standards support
Section 2.1, “ Interoperability and standards support ”
Shortcut editor
Section 2.2, “ Shortcut editor ”
Plug-in previews
Section 2.3, “ Plug-in previews ”
Real-time previews of transform operations
Section 2.4, “ Real-time previews of transform operations ”
GNOME Human Interface Guide conformance
Section 2.5, “ GNOME Human Interface Guide conformance ”
GTK+ 2.4 migration
Section 2.6, “ GTK+ 2.4 migration ”
Basic vector support
Section 2.7, “ Basic vector support ”
Also . . .
Section 2.8, “ Also . . . ”
Fire up the GIMP
Chapter 2, Fire up the GIMP
Running GIMP
Section 1, “ Running GIMP ”
Command Line Arguments
Section 1.1, “ Command Line Arguments ”
Known platforms
Section 1.2, “ Known platforms ”
Language
Section 1.3, “ Language ”
Starting GIMP the first time
Section 2, “ Starting GIMP the first time ”
Welcome
Figure 2.1, “ Welcome ”
Personal GIMP Directory
Figure 2.2, “ Personal GIMP Directory ”
User Installation Log
Figure 2.3, “ User Installation Log ”
GIMP Performance Tuning
Figure 2.4, “ GIMP Performance Tuning ”
First steps with Wilber
Chapter 3, First steps with Wilber
Main Windows in GIMP
Section 1, “ Main Windows in GIMP ”
The screenshot illustrates the standard windows of GIMP
Figure 3.1, “ The screenshot illustrates the standard windows of GIMP ”
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
The Main Toolbox
Section 1.1, “ The Main Toolbox ”
Screenshot of the Toolbox
Figure 3.2, “ Screenshot of the Toolbox ”
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
Image Window
Section 1.2, “ Image Window ”
A screenshot of the image window illustrating the important components
Figure 3.3, “ A screenshot of the image window illustrating the important components ”
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
Dialogs and Docking
Section 1.3, “ Dialogs and Docking ”
Docking Bars
Section 1.3.1, “ Docking Bars ”
A dock, with docking bars highlighted
Figure 3.4, “ A dock, with docking bars highlighted ”
Docking Drag Handles
Section 1.3.2, “ Docking Drag Handles ”
A dialog in a dock, with the drag handle area highlighted.
Figure 3.5, “ A dialog in a dock, with the drag handle area highlighted. ”
Image Menu
Section 1.3.3, “ Image Menu ”
???TITLE???
???
A dock with an Image Menu highlighted
Figure 3.6, “ A dock with an Image Menu highlighted ”
Tab Menu
Section 1.3.4, “ Tab Menu ”
A dialog in a dock, with the Tab menu button highlighted
Figure 3.7, “ A dialog in a dock, with the Tab menu button highlighted ”
Tab menu from the Layers dialog
Figure 3.8, “ Tab menu from the Layers dialog ”
???TITLE???
???
???TITLE???
???
???TITLE???
???
Preview Size submenu of a Tab menu El submenú "Tamaño de la vista previa".
Figure 3.9, “ Preview Size submenu of a Tab menu El submenú "Tamaño de la vista previa". ”
???TITLE???
???
Tab Style submenu of a Tab menu
Figure 3.10, “ Tab Style submenu of a Tab menu ”
???TITLE???
???
???TITLE???
???
???TITLE???
???
Getting unstuck
Chapter 4, Getting unstuck
Getting Unstuck
Section 1, “ Getting Unstuck ”
Stuck!
Section 1.1, “ Stuck! ”
Common causes of GIMP non-responsiveness
Section 1.2, “ Common causes of GIMP non-responsiveness ”
Layers dialog showing a floating selection.
Figure 4.1, “ Layers dialog showing a floating selection. ”
Unstuck show selection menu

Figure 4.2, “ Unstuck show selection menu

”
Unstuck select all
Figure 4.3, “ Unstuck select all ”
Unstuck layer invisibility
Figure 4.4, “ Unstuck layer invisibility ”
Unstuck layer transparency
Figure 4.5, “ Unstuck layer transparency ”
How do I become a GIMP wizard?
Part II, “ How do I become a GIMP wizard? ”
Getting images into GIMP
Chapter 5, Getting images into GIMP
Image types
Section 1, “ Image types ”
Components of the RGB and CMY color model
Figure 5.1, “ Components of the RGB and CMY color model ”
Example of an image in RGB and Grayscale mode
Figure 5.2, “ Example of an image in RGB and Grayscale mode ”
Example of an image with alpha channel
Figure 5.3, “ Example of an image with alpha channel ”
Working with Images
Section 2, “ Working with Images ”
Creating new Files
Section 2.1, “ Creating new Files ”
Opening Files
Section 2.2, “ Opening Files ”
The “File Open” dialog.
Figure 5.4, “ The “File Open” dialog. ”
The “Open Location” dialog.
Figure 5.5, “ The “Open Location” dialog. ”
Getting images out of GIMP
Chapter 6, Getting images out of GIMP
Files
Section 1, “ Files ”
Saving Images
Section 1.1, “ Saving Images ”
Saving Files
Section 1.2, “ Saving Files ”
Example of an Export dialog
Figure 6.1, “ Example of an Export dialog ”
Preparing your Images for the Web
Section 2, “ Preparing your Images for the Web ”
Images with an Optimal Size/Quality Ratio
Section 2.1, “ Images with an Optimal Size/Quality Ratio ”
The Wilber image opened in RGBA mode.
Figure 6.2, “ The Wilber image opened in RGBA mode. ”
Reducing the File Size Even More
Section 2.2, “ Reducing the File Size Even More ”
An indexed image can look a bit grainy. The left image is Wilber in its original size, the right one is zoomed in by 300 percent.
Figure 6.3, “ An indexed image can look a bit grainy. The left image is Wilber in its original size, the right one is zoomed in by 300 percent. ”
Saving Images with Transparency
Section 2.3, “ Saving Images with Transparency ”
The Wilber image opened in RGBA mode.
Figure 6.4, “ The Wilber image opened in RGBA mode. ”
Mid-Tone Checks in the background layer represent the transparent region of the saved image while you are working on it in GIMP.
Figure 6.5, “ Mid-Tone Checks in the background layer represent the transparent region of the saved image while you are working on it in GIMP. ”
Painting with GIMP
Chapter 7, Painting with GIMP
The Selection
Section 1, “ The Selection ”
How would you isolate the tree?
Figure 7.1, “ How would you isolate the tree? ”
Selection shown as usual with dashed line
Figure 7.2, “ Selection shown as usual with dashed line ”
Same selection in QuickMask mode
Figure 7.3, “ Same selection in QuickMask mode ”
Same selection in QuickMask mode after feathering
Figure 7.4, “ Same selection in QuickMask mode after feathering ”
Feathering
Section 1.1, “ Feathering ”
Making a selection partially transparent
Section 1.2, “ Making a selection partially transparent ”
Creating and Using Selections
Section 2, “ Creating and Using Selections ”
Moving a Selection
Section 2.1, “ Moving a Selection ”
Moving the selection reveals the background layer
Figure 7.5, “ Moving the selection reveals the background layer ”
Creating a Free Selection
Section 2.2, “ Creating a Free Selection ”
Using the Free Selection Tool
Figure 7.6, “ Using the Free Selection Tool ”
QuickMask
Section 3, “ QuickMask ”
Image with QuickMask enabled
Figure 7.7, “ Image with QuickMask enabled ”
Overview
Section 3.1, “ Overview ”
Properties
Section 3.2, “ Properties ”
Using the Quickmask
Section 4, “ Using the Quickmask ”
Paths
Section 5, “ Paths ”
Four examples of GIMP paths
Figure 7.8, “ Four examples of GIMP paths ”
Appearance of a path while it is being manipulated using the Path tool.
Figure 7.9, “ Appearance of a path while it is being manipulated using the Path tool. ”
Paths and Selections
Section 5.1, “ Paths and Selections ”
Paths and Text
Section 5.2, “ Paths and Text ”
Text converted to a path
Figure 7.10, “ Text converted to a path ”
Paths and SVG files
Section 5.3, “ Paths and SVG files ”
Paths
Section 6, “ Paths ”
Path creating
Section 6.1, “ Path creating ”
Illustration of four different path creating.
Figure 7.11, “ Illustration of four different path creating. ”
Stroking a Path
Section 6.2, “ Stroking a Path ”
The four paths from the top illustration, each stroked in a different way.
Figure 7.12, “ The four paths from the top illustration, each stroked in a different way. ”
The Stroke Path dialog.
Figure 7.13, “ The Stroke Path dialog. ”
Transforming Paths
Section 6.3, “ Transforming Paths ”
Brushes
Section 7, “ Brushes ”
Brush strokes example
Figure 7.14, “ Brush strokes example ”
Adding New Brushes
Section 8, “ Adding New Brushes ”
The dialog to describe the animated brush.
Figure 7.15, “ The dialog to describe the animated brush. ”
The GIH dialog box
Section 9, “ The GIH dialog box ”
The dialog to describe the animated brush.
Figure 7.16, “ The dialog to describe the animated brush. ”
Here is the result by stroking an elliptical selection with the brush:
Figure 7.17, “ Here is the result by stroking an elliptical selection with the brush: ”
Creating a brush with variable size
Section 10, “ Creating a brush with variable size ”
Gradients
Section 11, “ Gradients ”
Some examples of GIMP gradients.
Figure 7.18, “ Some examples of GIMP gradients. ”
Gradient usage
Figure 7.19, “ Gradient usage ”
Patterns
Section 12, “ Patterns ”
Pattern usage
Figure 7.20, “ Pattern usage ”
Pattern script examples
Figure 7.21, “ Pattern script examples ”
Palettes
Section 13, “ Palettes ”
The Palettes dialog
Figure 7.22, “ The Palettes dialog ”
The Palette Editor El editor de paletas
Figure 7.23, “ The Palette Editor El editor de paletas ”
Colormap
Section 13.1, “ Colormap ”
The Colormap dialog
Figure 7.24, “ The Colormap dialog ”
Drawing Simple Objects
Section 14, “ Drawing Simple Objects ”
Drawing a Straight Line
Section 14.1, “ Drawing a Straight Line ”
The dialog shows a new image, filled with a white background.
Figure 7.25, “ The dialog shows a new image, filled with a white background. ”
The dialog shows a new image, with the first dot which indicates the start of the straight line. The dot has a black foreground color.
Figure 7.26, “ The dialog shows a new image, with the first dot which indicates the start of the straight line. The dot has a black foreground color. ”
The screenshot shows the helpline, which indicates how the finished line will look.
Figure 7.27, “ The screenshot shows the helpline, which indicates how the finished line will look. ”
The line created appears in the image window after drawing the second point (or end point), while the Shift key is still pressed.
Figure 7.28, “ The line created appears in the image window after drawing the second point (or end point), while the Shift key is still pressed. ”
Creating a Basic Shape
Section 14.2, “ Creating a Basic Shape ”
The screenshot shows how a rectangular selection is created. Press and hold the left mouse button while you move the mouse in the direction of the red arrow.
Figure 7.29, “ The screenshot shows how a rectangular selection is created. Press and hold the left mouse button while you move the mouse in the direction of the red arrow. ”
The screenshot shows a rectangular selection filled with the foreground color.
Figure 7.30, “ The screenshot shows a rectangular selection filled with the foreground color. ”
Combining images with GIMP
Chapter 8, Combining images with GIMP
Layers
Section 1, “ Layers ”
Layer properties
Section 1.1, “ Layer properties ”
Layer modes
Section 2, “ Layer modes ”
Images (masks) for layer mode examples
Figure 8.1, “ Images (masks) for layer mode examples ”
Images (backgrounds) for layer mode examples
Figure 8.2, “ Images (backgrounds) for layer mode examples ”
Example
Equation 8.1, “ Example ”
Example for layer mode “normal”
Figure 8.3, “ Example for layer mode “normal” ”
Equation for layer mode “Normal”
Equation 8.2, “ Equation for layer mode “Normal” ”
Example for layer mode “Dissolve”
Figure 8.4, “ Example for layer mode “Dissolve” ”
Example for layer mode “Multiply”
Figure 8.5, “ Example for layer mode “Multiply” ”
Equation for layer mode “Multiply”
Equation 8.3, “ Equation for layer mode “Multiply” ”
Example for layer mode “Divide”
Figure 8.6, “ Example for layer mode “Divide” ”
Equation for layer mode “divide”
Equation 8.4, “ Equation for layer mode “divide” ”
Example for layer mode “Screen”
Figure 8.7, “ Example for layer mode “Screen” ”
Equation for layer mode “screen”
Equation 8.5, “ Equation for layer mode “screen” ”
Example for layer mode “Overlay”
Figure 8.8, “ Example for layer mode “Overlay” ”
???TITLE???
???
Equation for layer mode “Overlay”
Equation 8.6, “ Equation for layer mode “Overlay” ”
Example for layer mode “Dodge”
Figure 8.9, “ Example for layer mode “Dodge” ”
Equation for layer mode “Dodge”
Equation 8.7, “ Equation for layer mode “Dodge” ”
Example for layer mode “Burn”
Figure 8.10, “ Example for layer mode “Burn” ”
Equation for layer mode “burn”
Equation 8.8, “ Equation for layer mode “burn” ”
Example for layer mode “Hard Light”
Figure 8.11, “ Example for layer mode “Hard Light” ”
Equation for layer mode “hard light”, M > 128
Equation 8.9, “ Equation for layer mode “hard light”, M > 128 ”
Equation for layer mode “hard light”, M < 128
Equation 8.10, “ Equation for layer mode “hard light”, M < 128 ”
Example for layer mode “Soft Light”
Figure 8.12, “ Example for layer mode “Soft Light” ”
Equation for layer mode “screen”
Equation 8.11, “ Equation for layer mode “screen” ”
Equation for layer mode “Soft Light”
Equation 8.12, “ Equation for layer mode “Soft Light” ”
Example for layer mode “Grain Extract”
Figure 8.13, “ Example for layer mode “Grain Extract” ”
Equation for layer mode “grain extract”
Equation 8.13, “ Equation for layer mode “grain extract” ”
Example for layer mode “Grain Merge”
Figure 8.14, “ Example for layer mode “Grain Merge” ”
Equation for layer mode “grain merge”
Equation 8.14, “ Equation for layer mode “grain merge” ”
Example for layer mode “Difference”
Figure 8.15, “ Example for layer mode “Difference” ”
Equation for layer mode “difference”
Equation 8.15, “ Equation for layer mode “difference” ”
Example for layer mode “Addition”
Figure 8.16, “ Example for layer mode “Addition” ”
Equation for layer mode “Addition”
Equation 8.16, “ Equation for layer mode “Addition” ”
Example for layer mode “Subtract”
Figure 8.17, “ Example for layer mode “Subtract” ”
Equation for layer mode “Subtraction”
Equation 8.17, “ Equation for layer mode “Subtraction” ”
Example for layer mode “Darken Only”
Figure 8.18, “ Example for layer mode “Darken Only” ”
Equation for layer mode “Darken Only”
Equation 8.18, “ Equation for layer mode “Darken Only” ”
Example for layer mode “Lighten Only”
Figure 8.19, “ Example for layer mode “Lighten Only” ”
Equation for layer mode “Lighten Only”
Equation 8.19, “ Equation for layer mode “Lighten Only” ”
Example for layer mode “Hue”
Figure 8.20, “ Example for layer mode “Hue” ”
Example for layer mode “Saturation”
Figure 8.21, “ Example for layer mode “Saturation” ”
Example for layer mode “Color”
Figure 8.22, “ Example for layer mode “Color” ”
Example for layer mode “Value”
Figure 8.23, “ Example for layer mode “Value” ”
Multi layer example
Figure 8.24, “ Multi layer example ”
Creating New Layers
Section 3, “ Creating New Layers ”
Text and Fonts
Section 4, “ Text and Fonts ”
Example of a text item
Figure 8.25, “ Example of a text item ”
GIMP text editor
Figure 8.26, “ GIMP text editor ”
Text
Section 5, “ Text ”
Embellishing Text
Section 5.1, “ Embellishing Text ”
Fancy text
Figure 8.27, “ Fancy text ”
Adding Fonts
Section 5.2, “ Adding Fonts ”
Font Problems
Section 5.3, “ Font Problems ”
Enhancing photographs with GIMP
Chapter 9, Enhancing photographs with GIMP
Working with Digital Camera Photos
Section 1, “ Working with Digital Camera Photos ”
Introduction
Section 1.1, “ Introduction ”
Improving Composition
Section 1.2, “ Improving Composition ”
Rotating an Image
Section 1.2.1, “ Rotating an Image ”
Cropping
Section 1.2.2, “ Cropping ”
Improving Colors
Section 1.3, “ Improving Colors ”
Automated Tools
Section 1.3.1, “ Automated Tools ”
Exposure Problems
Section 1.3.2, “ Exposure Problems ”
Adjusting Hue and Saturation
Section 1.3.3, “ Adjusting Hue and Saturation ”
Adjusting Sharpness
Section 1.4, “ Adjusting Sharpness ”
Unblurring
Section 1.4.1, “ Unblurring ”
Reducing Graininess
Section 1.4.2, “ Reducing Graininess ”
Softening
Section 1.4.3, “ Softening ”
Removing Unwanted Objects from an Image
Section 1.5, “ Removing Unwanted Objects from an Image ”
Despeckling
Section 1.5.1, “ Despeckling ”
Garbage Removal
Section 1.5.2, “ Garbage Removal ”
Removing Red-eye
Section 1.5.3, “ Removing Red-eye ”
Saving Your Results
Section 1.6, “ Saving Your Results ”
Files
Section 1.6.1, “ Files ”
Printing Your Photos
Section 1.6.2, “ Printing Your Photos ”
EXIF Data
Section 1.6.3, “ EXIF Data ”
Pimp my GIMP
Chapter 10, Pimp my GIMP
Grids and Guides
Section 1, “ Grids and Guides ”
Image used for examples below
Figure 10.1, “ Image used for examples below ”
The Image Grid
Section 1.1, “ The Image Grid ”
Image with default grid
Figure 10.2, “ Image with default grid ”
A different grid style
Figure 10.3, “ A different grid style ”
Guides
Section 1.2, “ Guides ”
Image with four guides
Figure 10.4, “ Image with four guides ”
Rendering a Grid
Section 2, “ Rendering a Grid ”
How to Set Your Tile Cache
Section 3, “ How to Set Your Tile Cache ”
Creating Shortcuts to Menu Functions
Section 4, “ Creating Shortcuts to Menu Functions ”
Configure Keyboard Shortcuts
Figure 10.5, “ Configure Keyboard Shortcuts ”
Dialogs and Docking
Section 5, “ Dialogs and Docking ”
Creating Docking Dialogs
Section 5.1, “ Creating Docking Dialogs ”
Removing Tabs
Section 5.2, “ Removing Tabs ”
A dialog in a dock, with the “Close Tab” button highlighted
Figure 10.6, “ A dialog in a dock, with the “Close Tab” button highlighted ”
Scripting the GIMP
Chapter 11, Scripting the GIMP
Plugins
Section 1, “ Plugins ”
Introduction
Section 1.1, “ Introduction ”
Using Plugins
Section 1.2, “ Using Plugins ”
Installing New Plugins
Section 1.3, “ Installing New Plugins ”
Linux
Section 1.3.1, “ Linux ”
Windows
Section 1.3.2, “Windows”
Macintosh
Section 1.3.3, “ Macintosh ”
Writing Plugins
Section 1.4, “ Writing Plugins ”
Using Script-Fu Scripts
Section 2, “ Using Script-Fu Scripts ”
Script-Fu?
Section 2.1, “ Script-Fu? ”
Installing Script-Fus
Section 2.2, “ Installing Script-Fus ”
Do's and Don'ts
Section 2.3, “ Do's and Don'ts ”
Different Kinds Of Script-Fus
Section 2.4, “ Different Kinds Of Script-Fus ”
Standalone Scripts
Section 2.5, “ Standalone Scripts ”
Image-Dependent Scripts
Section 2.6, “ Image-Dependent Scripts ”
A Script-Fu Tutorial
Section 3, “ A Script-Fu Tutorial ”
Getting Acquainted With Scheme
Section 3.1, “ Getting Acquainted With Scheme ”
Let's Start Scheme'ing
Section 3.1.1, “ Let's Start Scheme'ing ”
Examples Of Prefix, Infix, And Postfix Notations
Section 3.1.2, “ Examples Of Prefix, Infix, And Postfix Notations ”
Practicing In Scheme
Section 3.1.3, “ Practicing In Scheme ”
The Script-Fu Console Window
Section 3.1.4, “ The Script-Fu Console Window ”
Watch Out For Extra Parens
Section 3.1.5, “ Watch Out For Extra Parens ”
Make Sure You Have The Proper Spacing, Too
Section 3.1.6, “ Make Sure You Have The Proper Spacing, Too ”
Variables And Functions
Section 3.2, “ Variables And Functions ”
Declaring Variables
Section 3.2.1, “ Declaring Variables ”
What Is A Local Variable?
Section 3.2.2, “ What Is A Local Variable? ”
The General Syntax Of `let*`
Section 3.2.3, “ The General Syntax Of `let*` ”
White Space
Section 3.2.4, “ White Space ”
Assigning A New Value To A Variable
Section 3.2.5, “ Assigning A New Value To A Variable ”
Functions
Section 3.2.6, “ Functions ”
Lists, Lists And More Lists
Section 3.3, “ Lists, Lists And More Lists ”
Defining A List
Section 3.3.1, “ Defining A List ”
How To Think Of Lists
Section 3.3.2, “ How To Think Of Lists ”
Creating Lists Through Concatenation (The Cons Function)
Section 3.3.3, “ Creating Lists Through Concatenation (The Cons Function) ”
Defining A List Using The list Function
Section 3.3.4, “ Defining A List Using The list Function ”
Accessing Values In A List
Section 3.3.5, “ Accessing Values In A List ”
The `car` Function
Section 3.3.6, “ The `car` Function ”
The `cdr` function
Section 3.3.7, “ The `cdr` function ”
Accessing Other Elements In A List
Section 3.3.8, “ Accessing Other Elements In A List ”
Your First Script-Fu Script
Section 3.4, “ Your First Script-Fu Script ”
Creating A Text Box Script
Section 3.4.1, “ Creating A Text Box Script ”
Editing And Storing Your Scripts
Section 3.4.2, “ Editing And Storing Your Scripts ”
The Bare Essentials
Section 3.4.3, “ The Bare Essentials ”
Naming Conventions
Section 3.4.4, “ Naming Conventions ”
Registering The Function
Section 3.4.5, “ Registering The Function ”
Steps For Registering The Script
Section 3.4.6, “ Steps For Registering The Script ”
Registering The Script's Parameters
Section 3.4.7, “ Registering The Script's Parameters ”
Giving Our Script Some Guts
Section 3.5, “ Giving Our Script Some Guts ”
Creating A New Image
Section 3.5.1, “ Creating A New Image ”
Adding A New Layer To The Image
Section 3.5.2, “ Adding A New Layer To The Image ”
Adding The Text
Section 3.5.3, “ Adding The Text ”
Clearing The Dirty Flag
Section 3.5.4, “ Clearing The Dirty Flag ”
Extending The Text Box Script
Section 3.6, “ Extending The Text Box Script ”
Handling Undo Correctly
Section 3.6.1, “ Handling Undo Correctly ”
Extending The Script A Little More
Section 3.6.2, “ Extending The Script A Little More ”
Modifying The Parameters And The Registration Function
Section 3.6.3, “ Modifying The Parameters And The Registration Function ”
Adding The New Code
Section 3.6.4, “ Adding The New Code ”
To be cleaned up
Chapter 12, To be cleaned up
Undoing
Section 1, “ Undoing ”
Things that cannot be Undone
Section 1.1, “ Things that cannot be Undone ”
Basic GIMP Concepts
Section 2, “ Basic GIMP Concepts ”
The GIMP Function Reference
Part III, “ The GIMP Function Reference ”
Toolbox
Chapter 13, Toolbox
The Toolbox
Section 1, “ The Toolbox ”
Tool Options
Section 1.1, “ Tool Options ”
Tool Options dialog for the Rectangle Select tool.
Figure 13.1, “ Tool Options dialog for the Rectangle Select tool. ”
Selection Tools
Section 2, “Selection Tools”
Common Features
Section 2.1, “Common Features”
Key modifiers (Defaults)
Section 2.1.1, “ Key modifiers (Defaults) ”
Options
Section 2.1.2, “ Options ”
Additional information
Section 2.1.3, “ Additional information ”
Rectangle Selection Tool
Section 2.2, “ Rectangle Selection Tool ”
Rectangle Select icon in the Toolbox
Figure 13.2, “ Rectangle Select icon in the Toolbox ”
How to Activate
Section 2.2.1, “ How to Activate ”
Key modifiers
Section 2.2.2, “ Key modifiers ”
Tool Options
Section 2.2.3, “ Tool Options ”
Tool Options for the Rectangle Select tool
Figure 13.3, “ Tool Options for the Rectangle Select tool ”
Size Constraint Option Menu for the Rectangle Select tool
Figure 13.4, “ Size Constraint Option Menu for the Rectangle Select tool ”
Ellipse Selection Tool
Section 2.3, “ Ellipse Selection Tool ”
Ellipse Select icon in the Toolbox
Figure 13.5, “ Ellipse Select icon in the Toolbox ”
How to Activate
Section 2.3.1, “ How to Activate ”
Key modifiers
Section 2.3.2, “ Key modifiers ”
Options
Section 2.3.3, “ Options ”
Tool Options for the Ellipse Select tool
Figure 13.6, “ Tool Options for the Ellipse Select tool ”
Size Constraint Option Menu for the Ellipse Select tool
Figure 13.7, “ Size Constraint Option Menu for the Ellipse Select tool ”
Free Selection Tool (Lasso)
Section 2.4, “ Free Selection Tool (Lasso) ”
Free Selection icon in the Toolbox
Figure 13.8, “ Free Selection icon in the Toolbox ”
How to Activate
Section 2.4.1, “ How to Activate ”
Key modifiers
Section 2.4.2, “ Key modifiers ”
Options
Section 2.4.3, “ Options ”
Tool Options for the Lasso tool
Figure 13.9, “ Tool Options for the Lasso tool ”
Fuzzy Selection Tool (Magic Wand)
Section 2.5, “ Fuzzy Selection Tool (Magic Wand) ”
Magic Wand tool icon in the Toolbox
Figure 13.10, “ Magic Wand tool icon in the Toolbox ”
How to Activate
Section 2.5.1, “ How to Activate ”
Key modifiers (Defaults)
Section 2.5.2, “ Key modifiers (Defaults) ”
Options
Section 2.5.3, “ Options ”
Tool Options for the Magic Wand tool
Figure 13.11, “ Tool Options for the Magic Wand tool ”
Select By Color Tool
Section 2.6, “Select By Color Tool”
Select by Color tool icon in the Toolbox
Figure 13.12, “ Select by Color tool icon in the Toolbox ”
How to Activate
Section 2.6.1, “ How to Activate ”
Key modifiers (Defaults)
Section 2.6.2, “ Key modifiers (Defaults) ”
Options
Section 2.6.3, “ Options ”
Tool Options for the Select by Color tool
Figure 13.13, “ Tool Options for the Select by Color tool ”
Scissors Tool
Section 2.7, “Scissors Tool”
Intelligent Scissors tool icon in the Toolbox.
Figure 13.14, “ Intelligent Scissors tool icon in the Toolbox. ”
How to Activate
Section 2.7.1, “ How to Activate ”
Key modifiers (Defaults)
Section 2.7.2, “ Key modifiers (Defaults) ”
Options
Section 2.7.3, “ Options ”
Tool Options for the Intelligent Scissors
Figure 13.15, “ Tool Options for the Intelligent Scissors ”
Brush Tools
Section 3, “Brush Tools”
Common Features
Section 3.1, “Common Features”
The Brush tools
Figure 13.16, “ The Brush tools ”
Key modifiers
Section 3.1.1, “ Key modifiers ”
Tool Options
Section 3.1.2, “ Tool Options ”
Tool Options shared by all brush tools
Figure 13.17, “ Tool Options shared by all brush tools ”
Further Information
Section 3.1.3, “ Further Information ”
Bucket Fill
Section 3.2, “Bucket Fill”
Toolbox Fill
Figure 13.18, “ Toolbox Fill ”
Activate Tool
Section 3.2.1, “Activate Tool”
Key modifiers (Defaults)
Section 3.2.2, “Key modifiers (Defaults)”
Options
Section 3.2.3, “Options”
Gradient Tool
Section 3.3, “Gradient Tool”
The Blend tool in Toolbox.
Figure 13.19, “ The Blend tool in Toolbox. ”
Activate Tool
Section 3.3.1, “Activate Tool”
Key modifiers (Defaults)
Section 3.3.2, “Key modifiers (Defaults)”
Options
Section 3.3.3, “Options”
“Blend” tool options
Figure 13.20, “ “Blend” tool options ”
“Blend” tool: Offset example
Figure 13.21, “ “Blend” tool: Offset example ”
Painting Tools (Pencil, Paintbrush, Airbrush)
Section 3.4, “ Painting Tools (Pencil, Paintbrush, Airbrush) ”
Painting example
Figure 13.22, “ Painting example ”
Key modifiers
Section 3.4.1, “ Key modifiers ”
Options
Section 3.4.2, “ Options ”
???TITLE???
Mode
Dissolve mode example
Figure 13.23, “ Dissolve mode example ”
Gradient options for painting tools.
Figure 13.24, “ Gradient options for painting tools. ”
Illustration of the effects of the three gradient-repeat options, for the “Abstract 2” gradient.
Table 13.1, “ Illustration of the effects of the three gradient-repeat options, for the “Abstract 2” gradient. ”
Pencil
Section 3.5, “ Pencil ”
Pencil tool
Figure 13.25, “ Pencil tool ”
Activate Tool
Section 3.5.1, “ Activate Tool ”
Key modifiers (Defaults)
Section 3.5.2, “ Key modifiers (Defaults) ”
Options
Section 3.5.3, “ Options ”
Pencil Tool options
Figure 13.26, “ Pencil Tool options ”
Paintbrush Tool
Section 3.6, “Paintbrush Tool”
Paintbrush
Figure 13.27, “ Paintbrush ”
Activate Tool
Section 3.6.1, “Activate Tool”
Key modifiers (Defaults)
Section 3.6.2, “Key modifiers (Defaults)”
Options
Section 3.6.3, “Options”
Paintbrush tool options
Figure 13.28, “ Paintbrush tool options ”
Eraser
Section 3.7, “ Eraser ”
Eraser tool icon in the Toolbox
Figure 13.29, “ Eraser tool icon in the Toolbox ”
How to Activate
Section 3.7.1, “ How to Activate ”
Key modifiers
Section 3.7.2, “ Key modifiers ”
Tool Options
Section 3.7.3, “ Tool Options ”
Tool Options for the Eraser tool
Figure 13.30, “ Tool Options for the Eraser tool ”
Airbrush Tool
Section 3.8, “ Airbrush Tool ”
The Airbrush tool in Toolbox
Figure 13.31, “ The Airbrush tool in Toolbox ”
Activate Tool
Section 3.8.1, “ Activate Tool ”
Key modifiers (Defaults)
Section 3.8.2, “ Key modifiers (Defaults) ”
Options
Section 3.8.3, “ Options ”
Airbrush options
Figure 13.32, “ Airbrush options ”
Ink Tool
Section 3.9, “ Ink Tool ”
Toolbox Pen
Figure 13.33, “ Toolbox Pen ”
Activate Tool
Section 3.9.1, “ Activate Tool ”
Key modifiers (Defaults)
Section 3.9.2, “ Key modifiers (Defaults) ”
Options
Section 3.9.3, “ Options ”
Ink Tool options
Figure 13.34, “ Ink Tool options ”
Clone Tool
Section 3.10, “Clone Tool”
Clone tool icon in the Toolbox
Figure 13.35, “ Clone tool icon in the Toolbox ”
How to Activate
Section 3.10.1, “ How to Activate ”
Key modifiers
Section 3.10.2, “ Key modifiers ”
Tool Options
Section 3.10.3, “ Tool Options ”
Tool Options for the Clone tool
Figure 13.36, “ Tool Options for the Clone tool ”
Further Information
Section 3.10.4, “ Further Information ”
Convolve (Blur/Sharpen)
Section 3.11, “Convolve (Blur/Sharpen)”
Convolve tool icon in the Toolbox
Figure 13.37, “ Convolve tool icon in the Toolbox ”
How to Activate
Section 3.11.1, “ How to Activate ”
Key modifiers
Section 3.11.2, “ Key modifiers ”
Tool Options
Section 3.11.3, “ Tool Options ”
Tool Options for the Convolve tool
Figure 13.38, “ Tool Options for the Convolve tool ”
Dodge or Burn
Section 3.12, “ Dodge or Burn ”
Dodge tool
Figure 13.39, “ Dodge tool ”
Activate Tool
Section 3.12.1, “ Activate Tool ”
Key modifiers (Defaults)
Section 3.12.2, “ Key modifiers (Defaults) ”
Options
Section 3.12.3, “ Options ”
“Dodge/Burn” tool options
Figure 13.40, “ “Dodge/Burn” tool options ”
Smudge Tool
Section 3.13, “ Smudge Tool ”
Smudge tool
Figure 13.41, “ Smudge tool ”
Activate Tool
Section 3.13.1, “ Activate Tool ”
Key modifiers (Defaults)
Section 3.13.2, “ Key modifiers (Defaults) ”
Options
Section 3.13.3, “ Options ”
The Smudge tool in Toolbox
Figure 13.42, “ The Smudge tool in Toolbox ”
Transform Tools
Section 4, “Transform Tools”
Common Features
Section 4.1, “Common Features”
An overview of the transform tools
Figure 13.43, “ An overview of the transform tools ”
Tool Options
Section 4.1.1, “Tool Options”
Common options of transform tools
Figure 13.44, “ Common options of transform tools ”
Move Tool
Section 4.2, “ Move Tool ”
The Move tool in Toolbox
Figure 13.45, “ The Move tool in Toolbox ”
Activate Tool
Section 4.2.1, “ Activate Tool ”
Default behaviour
Section 4.2.2, “ Default behaviour ”
Key modifiers (Defaults)
Section 4.2.3, “ Key modifiers (Defaults) ”
Options
Section 4.2.4, “ Options ”
Move Tool options
Figure 13.46, “ Move Tool options ”
Crop and Resize Tool
Section 4.3, “Crop and Resize Tool”
Crop tool
Figure 13.47, “ Crop tool ”
Activate Tool
Section 4.3.1, “Activate Tool”
Key modifiers (Defaults)
Section 4.3.2, “Key modifiers (Defaults)”
Options
Section 4.3.3, “Options”
“Crop and Resize” tool options
Figure 13.48, “ “Crop and Resize” tool options ”
Rotate Tool
Section 4.4, “Rotate Tool”
The Rotate tool in Toolbox
Figure 13.49, “ The Rotate tool in Toolbox ”
Overview
Section 4.4.1, “Overview”
Activate Tool
Section 4.4.2, “Activate Tool”
Key modifiers (Defaults)
Section 4.4.3, “Key modifiers (Defaults)”
Rotation tool options
Figure 13.50, “ Rotation tool options ”
The Rotation Information dialog window
Figure 13.51, “ The Rotation Information dialog window ”
Scale Tool
Section 4.5, “ Scale Tool ”
The Scale tool in Toolbox
Figure 13.52, “ The Scale tool in Toolbox ”
Overview
Section 4.5.1, “ Overview ”
Activate Tool
Section 4.5.2, “ Activate Tool ”
Key modifiers (Defaults)
Section 4.5.3, “ Key modifiers (Defaults) ”
Options
Section 4.5.4, “ Options ”
Scale tool options
Figure 13.53, “ Scale tool options ”
The Scaling Information dialog window
Section 4.5.5, “ The Scaling Information dialog window ”
The Scaling Information dialog window
Figure 13.54, “ The Scaling Information dialog window ”
Shear Tool
Section 4.6, “Shear Tool”
The Shear tool in Toolbox
Figure 13.55, “ The Shear tool in Toolbox ”
Activate Tool
Section 4.6.1, “ Activate Tool ”
Options
Section 4.6.2, “ Options ”
Shear tool options
Figure 13.56, “ Shear tool options ”
Shearing Information window
Figure 13.57, “ Shearing Information window ”
Perspective Tool
Section 4.7, “Perspective Tool”
Perspective tool
Figure 13.58, “ Perspective tool ”
Activate Tool
Section 4.7.1, “Activate Tool”
Options
Section 4.7.2, “Options”
“Perspective” tool options
Figure 13.59, “ “Perspective” tool options ”
The dialog window of the “Perspective” tool
Figure 13.60, “ The dialog window of the “Perspective” tool ”
Flip Tool
Section 4.8, “Flip Tool”
Flip tool
Figure 13.61, “ Flip tool ”
Activate Tool
Section 4.8.1, “Activate Tool”
Key modifiers (Defaults)
Section 4.8.2, “Key modifiers (Defaults)”
Options
Section 4.8.3, “Options”
“Flip Tool” Options
Figure 13.62, “ “Flip Tool” Options ”
Color Tools
Section 5, “Color Tools”
Color Balance Tool
Section 5.1, “Color Balance Tool”
Activate Tool
Section 5.1.1, “Activate Tool”
Options
Section 5.1.2, “Options”
Color Balance options
Figure 13.63, “ Color Balance options ”
Hue-Saturation Tool
Section 5.2, “Hue-Saturation Tool”
Activate Tool
Section 5.2.1, “Activate Tool”
Options
Section 5.2.2, “Options”
Hue-Saturation tool options
Figure 13.64, “ Hue-Saturation tool options ”
Colorize Tool
Section 5.3, “Colorize Tool”
Activate Tool
Section 5.3.1, “Activate Tool”
Options
Section 5.3.2, “Options”
Colorize options
Figure 13.65, “ Colorize options ”
Brightness-Contrast tool
Section 5.4, “Brightness-Contrast tool”
Activate Tool
Section 5.4.1, “Activate Tool”
Options
Section 5.4.2, “Options”
Brightness-Contrast options dialog
Figure 13.66, “ Brightness-Contrast options dialog ”
Threshold Tool
Section 5.5, “ Threshold Tool ”
Activate Tool
Section 5.5.1, “ Activate Tool ”
Options
Section 5.5.2, “ Options ”
Threshold tool options
Figure 13.67, “ Threshold tool options ”
Using Threshold and Quick Mask to create a selection mask
Section 5.5.3, “ Using Threshold and Quick Mask to create a selection mask ”
The original image, the decompose image and its Layer Dialog
Figure 13.68, “ The original image, the decompose image and its Layer Dialog ”
The selected layer after threshold fit
Figure 13.69, “ The selected layer after threshold fit ”
The mask
Figure 13.70, “ The mask ”
The result
Figure 13.71, “ The result ”
Levels tool
Section 5.6, “ Levels tool ”
Activate Tool
Section 5.6.1, “ Activate Tool ”
Options
Section 5.6.2, “ Options ”
Level tool options
Figure 13.72, “ Level tool options ”
Curves Tool
Section 5.7, “Curves Tool”
Activate Tool
Section 5.7.1, “Activate Tool”
Adjust Color Curves
Section 5.7.2, “Adjust Color Curves”
Curves tool
Figure 13.73, “ Curves tool ”
Posterize Tool
Section 5.8, “Posterize Tool”
Activate Tool
Section 5.8.1, “Activate Tool”
Options
Section 5.8.2, “Options”
Posterize tool options
Figure 13.74, “ Posterize tool options ”
Other
Section 6, “Other”
Path Tool
Section 6.1, “Path Tool”
Path tool
Figure 13.75, “ Path tool ”
Activate Tool
Section 6.1.1, “Activate Tool”
Key modifiers (Defaults)
Section 6.1.2, “Key modifiers (Defaults)”
Options
Section 6.1.3, “Options”
“Path” tool options
Figure 13.76, “ “Path” tool options ”
Color Picker Tool
Section 6.2, “ Color Picker Tool ”
Eye dropper
Figure 13.77, “ Eye dropper ”
Color Picker Info Window
Figure 13.78, “ Color Picker Info Window ”
Activate Tool
Section 6.2.1, “ Activate Tool ”
Key modifiers (Defaults)
Section 6.2.2, “ Key modifiers (Defaults) ”
Options
Section 6.2.3, “ Options ”
Color Picker Options
Figure 13.79, “ Color Picker Options ”
Magnify Tool
Section 6.3, “Magnify Tool”
Zoom tool
Figure 13.80, “ Zoom tool ”
Activate Tool
Section 6.3.1, “Activate Tool”
Key modifiers (Defaults)
Section 6.3.2, “Key modifiers (Defaults)”
Options
Section 6.3.3, “Options”
Zoom tool options
Figure 13.81, “ Zoom tool options ”
Zoom menu
Section 6.3.4, “ Zoom menu ”
Measure Tool
Section 6.4, “Measure Tool”
Measure tool
Figure 13.82, “ Measure tool ”
Status Bar
Section 6.4.1, “Status Bar”
Activate Tool
Section 6.4.2, “Activate Tool”
Key modifiers
Section 6.4.3, “Key modifiers”
Options
Section 6.4.4, “Options”
“Measure tool options”
Figure 13.83, “ “Measure tool options” ”
Measuring surfaces
Section 6.4.5, “ Measuring surfaces ”
Texttool
Section 6.5, “Texttool”
The Text tool in Toolbox
Figure 13.84, “ The Text tool in Toolbox ”
Activate Tool
Section 6.5.1, “ Activate Tool ”
Options
Section 6.5.2, “ Options ”
Text tool options
Figure 13.85, “ Text tool options ”
Text Editor
Section 6.5.3, “ Text Editor ”
The Text Editor options
Figure 13.86, “ The Text Editor options ”
Color and Indicator Area
Section 7, “ Color and Indicator Area ”
Color Area
Section 7.1, “ Color Area ”
Color area in the Toolbox Palette
Figure 13.87, “ Color area in the Toolbox Palette ”
???TITLE???
Default colors
???TITLE???
Swap FG/BG colors
Indicator Area
Section 7.2, “ Indicator Area ”
Active tool indicator area
Figure 13.88, “ Active tool indicator area ”
Active image area
Section 7.3, “ Active image area ”
Dialogs
Chapter 14, Dialogs
Dialog introduction
Section 1, “ Dialog introduction ”
Image structure related dialogs
Section 2, “ Image structure related dialogs ”
Layers dialog
Section 2.1, “ Layers dialog ”
Layer Dialog
Figure 14.1, “ Layer Dialog ”
An image with layers
Figure 14.2, “ An image with layers ”
Activate Dialog
Section 2.1.1, “ Activate Dialog ”
Using the Layerdialog
Section 2.1.2, “ Using the Layerdialog ”
???TITLE???
???TITLE???
???TITLE???
Layer modes
Figure 14.3, “ Layer modes ”
Keep transparency
Figure 14.4, “ Keep transparency ”
???TITLE???
Opacity
Figure 14.5, “ Opacity ”
Layer masks
Section 2.1.3, “ Layer masks ”
Dialog add mask
Figure 14.6, “ Dialog add mask ”
Channels dialog
Section 2.2, “ Channels dialog ”
The Channel dialog
Figure 14.7, “ The Channel dialog ”
Representation of an image with channels
Figure 14.8, “ Representation of an image with channels ”
Calling the Dialog
Section 2.2.1, “ Calling the Dialog ”
Using the Channel dialog
Section 2.2.2, “ Using the Channel dialog ”
Overview
Section 2.2.2.1, “ Overview ”
Channel attributes
Section 2.2.2.2, “ Channel attributes ”
Managing channels
Section 2.2.2.3, “ Managing channels ”
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???TITLE???
???TITLE???
???TITLE???
???
Channels Menu
Section 2.2.2.4, “ Channels Menu ”
Channels Menu
Figure 14.9, “ Channels Menu ”
Selection masks
Section 2.2.3, “ Selection masks ”
A selection composed out of channels.
Figure 14.10, “ A selection composed out of channels. ”
Using Selectionmasks
Section 2.2.3.1, “ Using Selectionmasks ”
Quick Mask
Section 2.2.4, “ Quick Mask ”
Dialog Quick Mask
Figure 14.11, “ Dialog Quick Mask ”
Activate dialog
Section 2.2.4.1, “ Activate dialog ”
Creating a Quick Mask
Section 2.2.4.2, “ Creating a Quick Mask ”
Using Quick Mask's
Section 2.2.4.3, “ Using Quick Mask's ”
???TITLE???
???
???TITLE???
???
???TITLE???
???
Usage
Section 2.2.4.4, “ Usage ”
Path dialog
Section 2.3, “ Path dialog ”
The Paths dialog
Figure 14.12, “ The Paths dialog ”
Dialog call
Section 2.3.1, “ Dialog call ”
Using the Paths dialog
Section 2.3.2, “ Using the Paths dialog ”
Buttons
Section 2.3.3, “ Buttons ”
Paths Menu
Section 2.3.4, “ Paths Menu ”
The Paths dialog menu
Figure 14.13, “ The Paths dialog menu ”
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
Colormap dialog
Section 2.4, “ Colormap dialog ”
The Colormap dialog
Figure 14.14, “ The Colormap dialog ”
Dialog call
Section 2.4.1, “ Dialog call ”
Colormaps and Indexed Images
Section 2.4.2, “ Colormaps and Indexed Images ”
Using the Colormap dialog
Section 2.4.3, “ Using the Colormap dialog ”
???TITLE???
???
???TITLE???
???
Histogram dialog
Section 2.5, “ Histogram dialog ”
The Histogram dialog
Figure 14.15, “ The Histogram dialog ”
Dialog call
Section 2.5.1, “ Dialog call ”
About Histograms
Section 2.5.2, “ About Histograms ”
Using the Histogram dialog
Section 2.5.3, “ Using the Histogram dialog ”
Channel options for an RGB layer with alpha channel.
Figure 14.16, “ Channel options for an RGB layer with alpha channel. ”
Combined histograms of R, G, and B channels.
Figure 14.17, “ Combined histograms of R, G, and B channels. ”
The histogram shown at the top, changed to logarithmic mode.
Figure 14.18, “ The histogram shown at the top, changed to logarithmic mode. ”
Dialog aspect after range fixing.
Figure 14.19, “ Dialog aspect after range fixing. ”
Navigation Dialog
Section 2.6, “ Navigation Dialog ”
Navigation Dialog
Figure 14.20, “ Navigation Dialog ”
Activate the dialog
Section 2.6.1, “ Activate the dialog ”
Using the Navigation Dialog
Section 2.6.2, “ Using the Navigation Dialog ”
Undo History dialog
Section 2.7, “ Undo History dialog ”
The Undo History dialog
Figure 14.21, “ The Undo History dialog ”
Activate the dialog
Section 2.7.1, “ Activate the dialog ”
Using the Undo History dialog
Section 2.7.2, “ Using the Undo History dialog ”
Image content related dialogs
Section 3, “ Image content related dialogs ”
Colors dialog
Section 3.1, “ Colors dialog ”
Colors dialog
Figure 14.22, “ Colors dialog ”
Activate Dialog
Section 3.1.1, “ Activate Dialog ”
Using the dialog
Section 3.1.2, “ Using the dialog ”
Brushes dialog
Section 3.2, “ Brushes dialog ”
The Brushes dialog
Figure 14.23, “ The Brushes dialog ”
Activate Dialog
Section 3.2.1, “ Activate Dialog ”
Using the brush dialog
Section 3.2.2, “ Using the brush dialog ”
Grid/List modes
Section 3.2.2.1, “ Grid/List modes ”
The Brushes dialog
Figure 14.24, “ The Brushes dialog ”
Buttons at the bottom
Section 3.2.2.2, “ Buttons at the bottom ”
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
Brush Editor
Section 3.2.3, “ Brush Editor ”
The Brushes Editor dialog
Figure 14.25, “ The Brushes Editor dialog ”
Patterns dialog
Section 3.3, “ Patterns dialog ”
The Patterns dialog
Figure 14.26, “ The Patterns dialog ”
Activate Dialog
Section 3.3.1, “ Activate Dialog ”
Using the pattern dialog
Section 3.3.2, “ Using the pattern dialog ”
The Patterns dialog
Figure 14.27, “ The Patterns dialog ”
???TITLE???
???
???TITLE???
???
Gradients dialog
Section 3.4, “ Gradients dialog ”
The screenshot illustrates the Gradients dialog
Figure 14.28, “ The screenshot illustrates the Gradients dialog ”
Activate Dialog
Section 3.4.1, “ Activate Dialog ”
Using the Gradients dialog
Section 3.4.2, “ Using the Gradients dialog ”
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
Gradient Editor
Section 3.4.3, “ Gradient Editor ”
???TITLE???
???
The gradient editor
Figure 14.29, “ The gradient editor ”
How to Activate the Gradient Editor
Section 3.4.3.1, “ How to Activate the Gradient Editor ”
Display
Section 3.4.3.2, “ Display ”
???TITLE???
???
???TITLE???
???
???TITLE???
???
Gradient Editor Menu
Section 3.4.3.3, “ Gradient Editor Menu ”
The Gradient Editor menu
Figure 14.30, “ The Gradient Editor menu ”
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
The "Load Color From" submenu
Figure 14.31, “ The "Load Color From" submenu ”
???TITLE???
???
???TITLE???
???
???TITLE???
???
The Blending Function submenu
Figure 14.32, “ The Blending Function submenu ”
???TITLE???
???
The Coloring Type submenu
Figure 14.33, “ The Coloring Type submenu ”
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
Palettes dialog
Section 3.5, “ Palettes dialog ”
The Palettes dialog
Figure 14.34, “ The Palettes dialog ”
Activate Dialog
Section 3.5.1, “ Activate Dialog ”
Using the Palettes dialog
Section 3.5.2, “ Using the Palettes dialog ”
The Palettes dialog
Figure 14.35, “ The Palettes dialog ”
Palettes Menu
Section 3.5.3, “ Palettes Menu ”
The Palettes Menu
Figure 14.36, “ The Palettes Menu ”
???TITLE???
Edit Palette
???TITLE???
New Palette
???TITLE???
Import Palette
The Import Palette dialog
Figure 14.37, “ The Import Palette dialog ”
???TITLE???
Duplicate Palette
???TITLE???
Merge Palettes
???TITLE???
Delete Palette
???TITLE???
Refresh Palettes
Palette Editor
Section 3.5.4, “ Palette Editor ”
The Palette Editor
Figure 14.38, “ The Palette Editor ”
How to Activate the Palette Editor
Section 3.5.4.1, “ How to Activate the Palette Editor ”
Using the Palette Editor
Section 3.5.4.2, “ Using the Palette Editor ”
Palette Editor Menu
Section 3.5.5, “ Palette Editor Menu ”
The Palette Editor Menu
Figure 14.39, “ The Palette Editor Menu ”
???TITLE???
Edit Color
???TITLE???
New Color from FG; New Color from BG
???TITLE???
Delete Color
???TITLE???
Zoom Out
???TITLE???
Zoom In
???TITLE???
Zoom All
Fonts dialog
Section 3.6, “ Fonts dialog ”
The Fonts dialog
Figure 14.40, “ The Fonts dialog ”
Activate Dialog
Section 3.6.1, “ Activate Dialog ”
Using the Fonts dialog
Section 3.6.2, “ Using the Fonts dialog ”
The Fonts dialog
Figure 14.41, “ The Fonts dialog ”
???TITLE???
Refresh font list
Image management related dialogs
Section 4, “ Image management related dialogs ”
Buffers dialog
Section 4.1, “ Buffers dialog ”
The Buffers dialog
Figure 14.42, “ The Buffers dialog ”
Activate Dialog
Section 4.1.1, “ Activate Dialog ”
Using the Buffers dialog
Section 4.1.2, “ Using the Buffers dialog ”
Grid/List modes
Section 4.1.2.1, “ Grid/List modes ”
The Buffers dialog (Grid View)
Figure 14.43, “ The Buffers dialog (Grid View) ”
Buttons at the bottom
Section 4.1.2.2, “ Buttons at the bottom ”
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
Images dialog
Section 4.2, “ Images dialog ”
The Images dialog
Figure 14.44, “ The Images dialog ”
Activate Dialog
Section 4.2.1, “ Activate Dialog ”
Using the Images dialog
Section 4.2.2, “ Using the Images dialog ”
Document History dialog
Section 4.3, “ Document History dialog ”
Document History dialog
Figure 14.45, “ Document History dialog ”
Activate Dialog
Section 4.3.1, “ Activate Dialog ”
Options
Section 4.3.2, “ Options ”
Templates dialog
Section 4.4, “ Templates dialog ”
The Templates dialog
Figure 14.46, “ The Templates dialog ”
Activate Dialog
Section 4.4.1, “ Activate Dialog ”
Using the Templates dialog
Section 4.4.2, “ Using the Templates dialog ”
Grid/List modes
Section 4.4.2.1, “ Grid/List modes ”
Buttons at the bottom
Section 4.4.2.2, “ Buttons at the bottom ”
Edit Template
Section 4.4.3, “ Edit Template ”
The Edit Template dialog
Figure 14.47, “ The Edit Template dialog ”
The Advanced Options dialog
Figure 14.48, “ The Advanced Options dialog ”
Misc dialogs
Section 5, “ Misc dialogs ”
Tools dialog
Section 5.1, “ Tools dialog ”
The Tools dialog
Figure 14.49, “ The Tools dialog ”
Grid/List modes
Section 5.1.1, “ Grid/List modes ”
Using the Tools dialog
Section 5.1.2, “ Using the Tools dialog ”
Preferences dialog
Section 5.2, “ Preferences dialog ”
Introduction
Section 5.2.1, “ Introduction ”
List of preference pages
Figure 14.50, “ List of preference pages ”
New Image Preferences
Section 5.2.2, “ New Image Preferences ”
New Image Preferences
Figure 14.51, “ New Image Preferences ”
Default Image Grid
Section 5.2.3, “ Default Image Grid ”
Default Grid Preferences
Figure 14.52, “ Default Grid Preferences ”
Interface
Section 5.2.4, “ Interface ”
Assorted Interface Preferences
Figure 14.53, “ Assorted Interface Preferences ”
Theme
Section 5.2.5, “ Theme ”
Theme Preference
Figure 14.54, “ Theme Preference ”
Help System
Section 5.2.6, “ Help System ”
Help System Preferences (Linux Screenshot)
Figure 14.55, “ Help System Preferences (Linux Screenshot) ”
Options
Section 5.2.6.1, “ Options ”
Tool Options
Section 5.2.7, “ Tool Options ”
Tool Options Preferences
Figure 14.56, “ Tool Options Preferences ”
Options
Section 5.2.7.1, “ Options ”
Toolbox
Section 5.2.8, “ Toolbox ”
Toolbox Preferences
Figure 14.57, “ Toolbox Preferences ”
Options
Section 5.2.8.1, “ Options ”
Default Toolbox appearance
Figure 14.58, “ Default Toolbox appearance ”
Image Windows
Section 5.2.9, “ Image Windows ”
General Image Window Preference
Figure 14.59, “ General Image Window Preference ”
Options
Section 5.2.9.1, “ Options ”
Image Window Appearance
Section 5.2.10, “ Image Window Appearance ”
Image Window Appearance Defaults
Figure 14.60, “ Image Window Appearance Defaults ”
Image Window Title and Statusbar
Section 5.2.11, “ Image Window Title and Statusbar ”
Image Window Title and Statusbar formats
Figure 14.61, “ Image Window Title and Statusbar formats ”
Choosing a Format
Section 5.2.11.1, “ Choosing a Format ”
Display
Section 5.2.12, “ Display ”
Display Preferences
Figure 14.62, “ Display Preferences ”
Options
Section 5.2.12.1, “ Options ”
The Calibration dialog
Figure 14.63, “ The Calibration dialog ”
???TITLE???
???TITLE???
Input Devices
Section 5.2.13, “ Input Devices ”
Input devices preferences
Figure 14.64, “ Input devices preferences ”
Preferences for a tablet
Figure 14.65, “ Preferences for a tablet ”
Input Controllers
Section 5.2.14, “ Input Controllers ”
Input controllers preferences
Figure 14.66, “ Input controllers preferences ”
Main Mouse Wheel tab
Figure 14.67, “ Main Mouse Wheel tab ”
Select Controller Event Action
Figure 14.68, “ Select Controller Event Action ”
Main Keyboard
Figure 14.69, “ Main Keyboard ”
Window Managment
Section 5.2.15, “ Window Managment ”
Window Management Preferences
Figure 14.70, “ Window Management Preferences ”
Options
Section 5.2.15.1, “ Options ”
Environment
Section 5.2.16, “ Environment ”
Environment Preferences
Figure 14.71, “ Environment Preferences ”
Options
Section 5.2.16.1, “ Options ”
Folders
Section 5.2.17, “ Folders ”
Basic Folder Preferences
Figure 14.72, “ Basic Folder Preferences ”
Data Folders
Section 5.2.18, “ Data Folders ”
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
Preferences: Brush Folders
Figure 14.73, “ Preferences: Brush Folders ”
Device Status dialog
Section 5.3, “ Device Status dialog ”
The device Status Dialog
Figure 14.74, “ The device Status Dialog ”
Activate Dialog
Section 5.3.1, “ Activate Dialog ”
Error Console
Section 5.4, “ Error Console ”
Activate Dialog
Section 5.4.1, “ Activate Dialog ”
The “Error Console” Dialog
Section 5.4.2, “ The “Error Console” Dialog ”
“Error Console” Dialog window
Figure 14.75, “ “Error Console” Dialog window ”
“Save Error Log to file” Dialog window
Figure 14.76, “ “Save Error Log to file” Dialog window ”
Export File
Section 5.5, “ Export File ”
Export PNG File Dialog
Figure 14.77, “ Export PNG File Dialog ”
Export JPG File Dialog
Figure 14.78, “ Export JPG File Dialog ”
Export MNG File Dialog
Figure 14.79, “ Export MNG File Dialog ”
Export GIF File Dialog
Figure 14.80, “ Export GIF File Dialog ”
Menus
Chapter 15, Menus
Introduction to the GIMP Menus
Section 1, “ Introduction to the GIMP Menus ”
The Toolbox Menu
Figure 15.1, “ The Toolbox Menu ”
Context Menus
Section 1.1, “ Context Menus ”
Detachable Submenus
Section 1.2, “ Detachable Submenus ”
The “Acquire” submenu and its detached submenu
Figure 15.2, “ The “Acquire” submenu and its detached submenu ”
Toolbox File Menu
Section 2, “ Toolbox File Menu ”
The “File” Menu of the Toolbox
Section 2.1, “ The “File” Menu of the Toolbox ”
Contents of the “File” menu
Figure 15.3, “ Contents of the “File” menu ”
Acquire
Section 2.2, “ Acquire ”
The “Acquire” submenu of the Toolbox File menu
Figure 15.4, “ The “Acquire” submenu of the Toolbox File menu ”
Activating the Submenu
Section 2.2.1, “ Activating the Submenu ”
Submenu entries
Section 2.2.2, “ Submenu entries ”
???TITLE???
Screen Shot
The “Screen Shot” window
Figure 15.5, “ The “Screen Shot” window ”
Scanner and Webcam
Figure 15.6, “ Scanner and Webcam ”
The Preferences command
Section 2.3, “ The Preferences command ”
Activating the Command
Section 2.3.1, “ Activating the Command ”
The Dialogs sub-menu
Section 2.4, “ The Dialogs sub-menu ”
The Dialogs submenu of the Toolbox File menu
Figure 15.7, “ The Dialogs submenu of the Toolbox File menu ”
Accessing the Dialogs Submenu
Section 2.4.1, “ Accessing the Dialogs Submenu ”
Xtns
Section 3, “ Xtns ”
Introduction to the “Xtns” menu
Section 3.1, “ Introduction to the “Xtns” menu ”
Contents of the “Xtns” menu
Figure 15.8, “ Contents of the “Xtns” menu ”
The Module Manager
Section 3.2, “ The Module Manager ”
Activating the Command
Section 3.2.1, “ Activating the Command ”
Description of the “Module Manager” Dialog
Section 3.2.2, “ Description of the “Module Manager” Dialog ”
The “Module Manager” dialog window
Figure 15.9, “ The “Module Manager” dialog window ”
The Unit Editor
Section 3.3, “ The Unit Editor ”
Activating the Command
Section 3.3.1, “ Activating the Command ”
Description of the “Unit Editor” dialog window
Section 3.3.2, “ Description of the “Unit Editor” dialog window ”
The “Unit Editor” dialog window
Figure 15.10, “ The “Unit Editor” dialog window ”
Defining New Units
Section 3.3.3, “ Defining New Units ”
The “New Unit” dialog
Figure 15.11, “ The “New Unit” dialog ”
Plug-In Browser
Section 3.4, “ Plug-In Browser ”
Activating the Command
Section 3.4.1, “ Activating the Command ”
Description of the “Plug-In Browser” dialog window
Section 3.4.2, “ Description of the “Plug-In Browser” dialog window ”
The list view of the “Plug-In Browser” dialog window
Figure 15.12, “ The list view of the “Plug-In Browser” dialog window ”
The tree view of the “Plug-In Browser” dialog window
Figure 15.13, “ The tree view of the “Plug-In Browser” dialog window ”
The Procedure Browser
Section 3.5, “ The Procedure Browser ”
Activating the Command
Section 3.5.1, “ Activating the Command ”
Description of the “Procedure Browser” dialog window
Section 3.5.2, “ Description of the “Procedure Browser” dialog window ”
The “Procedure Browser” dialog window
Figure 15.14, “ The “Procedure Browser” dialog window ”
The “Script-Fu” submenu
Section 3.6, “ The “Script-Fu” submenu ”
The “Script-Fu” submenu of the Xtns menu
Figure 15.15, “ The “Script-Fu” submenu of the Xtns menu ”
Activating the submenu
Section 3.6.1, “ Activating the submenu ”
The “Help” Menu of the Toolbox Window
Section 4, “ The “Help” Menu of the Toolbox Window ”
Introduction to the “Help” menu
Section 4.1, “ Introduction to the “Help” menu ”
Contents of the “Help” menu
Figure 15.16, “ Contents of the “Help” menu ”
Help
Section 4.2, “ Help ”
Activating the Command
Section 4.2.1, “ Activating the Command ”
Context Help
Section 4.3, “ Context Help ”
Activating the Command
Section 4.3.1, “ Activating the Command ”
Tip of the Day
Section 4.4, “ Tip of the Day ”
Activating the Command
Section 4.4.1, “ Activating the Command ”
Description of the dialog window
Section 4.4.2, “ Description of the dialog window ”
“Tip of the day”Dialog window
Figure 15.17, “ “Tip of the day”Dialog window ”
About
Section 4.5, “ About ”
Activating the About Command
Section 4.5.1, “ Activating the About Command ”
Description of the dialog window
Section 4.5.2, “ Description of the dialog window ”
The “About” dialog window
Figure 15.18, “ The “About” dialog window ”
GIMP online
Section 4.6, “ GIMP online ”
The “GIMP online” submenu of the Help menu
Figure 15.19, “ The “GIMP online” submenu of the Help menu ”
The “File” Menu of the Image Window
Section 5, “ The “File” Menu of the Image Window ”
File menu
Section 5.1, “ File menu ”
The File menu of the image window
Figure 15.20, “ The File menu of the image window ”
The File menu of the Toolbox
Figure 15.21, “ The File menu of the Toolbox ”
New
Section 5.2, “ New ”
???TITLE???
???
Activating the Command
Section 5.2.1, “ Activating the Command ”
Basic Options
Section 5.2.2, “ Basic Options ”
The “New Image” dialog
Figure 15.22, “ The “New Image” dialog ”
The “Create a New Image” dialog
Figure 15.23, “ The “Create a New Image” dialog ”
Advanced Options
Section 5.2.3, “ Advanced Options ”
New Image dialog (Advanced Options)
Figure 15.24, “ New Image dialog (Advanced Options) ”
Colorspace menu
Figure 15.25, “ Colorspace menu ”
Fill menu
Figure 15.26, “ Fill menu ”
Open
Section 5.3, “ Open ”
Activating the Dialog
Section 5.3.1, “ Activating the Dialog ”
File browsing
Section 5.3.2, “ File browsing ”
Open Dialog
Figure 15.27, “ Open Dialog ”
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
Open Location
Section 5.4, “ Open Location ”
Activating the Command
Section 5.4.1, “ Activating the Command ”
Description of the dialog window
Section 5.4.2, “ Description of the dialog window ”
The “Open Location” dialog window
Figure 15.28, “ The “Open Location” dialog window ”
Open Recent
Section 5.5, “ Open Recent ”
Activating the Command
Section 5.5.1, “ Activating the Command ”
Open as Layer
Section 5.6, “ Open as Layer ”
Activating the Command
Section 5.6.1, “ Activating the Command ”
Save
Section 5.7, “ Save ”
???TITLE???
???
???TITLE???
???
Activating the Dialog
Section 5.7.1, “ Activating the Dialog ”
Save as
Section 5.8, “ Save as ”
Activating the Command
Section 5.8.1, “ Activating the Command ”
The Basic “Save as” Dialog
Section 5.8.2, “ The Basic “Save as” Dialog ”
The basic “File Save” dialog
Figure 15.29, “ The basic “File Save” dialog ”
The “Save” Dialog with a Browser
Section 5.8.3, “ The “Save” Dialog with a Browser ”
The “Save” Dialog (Browser)
Figure 15.30, “ The “Save” Dialog (Browser) ”
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
Save a Copy
Section 5.9, “ Save a Copy ”
Activating the Command
Section 5.9.1, “ Activating the Command ”
Save as Template
Section 5.10, “ Save as Template ”
Activating the Command
Section 5.10.1, “ Activating the Command ”
Revert
Section 5.11, “ Revert ”
Activating the Command
Section 5.11.1, “ Activating the Command ”
Print
Section 5.12, “ Print ”
Activating the Command
Section 5.12.1, “ Activating the Command ”
Close
Section 5.13, “ Close ”
???TITLE???
???
Activating the Command
Section 5.13.1, “ Activating the Command ”
Quit
Section 5.14, “ Quit ”
???TITLE???
???
Activating the Command
Section 5.14.1, “ Activating the Command ”
The “Edit” Menu of the Image Window
Section 6, “ The “Edit” Menu of the Image Window ”
“Edit” menu entries
Section 6.1, “ “Edit” menu entries ”
Contents of the Edit menu
Figure 15.31, “ Contents of the Edit menu ”
Undo
Section 6.2, “ Undo ”
Activating the Command
Section 6.2.1, “ Activating the Command ”
Redo
Section 6.3, “ Redo ”
Activating the Command
Section 6.3.1, “ Activating the Command ”
Undo History
Section 6.4, “ Undo History ”
Activating the Command
Section 6.4.1, “ Activating the Command ”
Cut
Section 6.5, “ Cut ”
Activating the Command
Section 6.5.1, “ Activating the Command ”
Copy
Section 6.6, “ Copy ”
Activating the Command
Section 6.6.1, “ Activating the Command ”
Copy Visible
Section 6.7, “ Copy Visible ”
Activating the Command
Section 6.7.1, “ Activating the Command ”
Paste
Section 6.8, “ Paste ”
Activating the Command
Section 6.8.1, “ Activating the Command ”
Paste Into
Section 6.9, “ Paste Into ”
Activating the Command
Section 6.9.1, “ Activating the Command ”
Paste as New
Section 6.10, “ Paste as New ”
Activating the Command
Section 6.10.1, “ Activating the Command ”
Buffers
Section 6.11, “ Buffers ”
The “Buffer” submenu of the “Edit” menu
Figure 15.32, “ The “Buffer” submenu of the “Edit” menu ”
Activating the Submenu
Section 6.11.1, “ Activating the Submenu ”
Cut Named
Section 6.11.2, “ Cut Named ”
Copy Named
Section 6.11.3, “ Copy Named ”
Paste Named
Section 6.11.4, “ Paste Named ”
Clear
Section 6.12, “ Clear ”
Activating the Command
Section 6.12.1, “ Activating the Command ”
Fill with FG Color
Section 6.13, “ Fill with FG Color ”
Activating the Command
Section 6.13.1, “ Activating the Command ”
Fill with BG Color
Section 6.14, “ Fill with BG Color ”
Activating the Command
Section 6.14.1, “ Activating the Command ”
Fill with Pattern
Section 6.15, “ Fill with Pattern ”
Activating the Command
Section 6.15.1, “ Activating the Command ”
Stroke Selection
Section 6.16, “ Stroke Selection ”
Activating the Command
Section 6.16.1, “ Activating the Command ”
The “Stroke Selection” dialog
Section 6.16.2, “ The “Stroke Selection” dialog ”
Stroke Path
Section 6.17, “ Stroke Path ”
Activating the Command
Section 6.17.1, “ Activating the Command ”
Description of the Dialog Window
Section 6.17.2, “ Description of the Dialog Window ”
The “Choose Stroke Style” dialog window
Figure 15.33, “ The “Choose Stroke Style” dialog window ”
Example of miter limit
Figure 15.34, “ Example of miter limit ”
The “Select” Menu
Section 7, “ The “Select” Menu ”
Introduction to the “Select” menu
Section 7.1, “ Introduction to the “Select” menu ”
The Contents of the “Select” menu
Figure 15.35, “ The Contents of the “Select” menu ”
Select All
Section 7.2, “ Select All ”
Activating the Command
Section 7.2.1, “ Activating the Command ”
None
Section 7.3, “ None ”
Activating the Command
Section 7.3.1, “ Activating the Command ”
Invert
Section 7.4, “ Invert ”
Activating the Command
Section 7.4.1, “ Activating the Command ”
Float
Section 7.5, “ Float ”
Activating the Command
Section 7.5.1, “ Activating the Command ”
By Color
Section 7.6, “ By Color ”
Activating the Command
Section 7.6.1, “ Activating the Command ”
From Path
Section 7.7, “ From Path ”
Activating the Command Attivazione del comando
Section 7.7.1, “ Activating the Command Attivazione del comando ”
Selection Editor
Section 7.8, “ Selection Editor ”
Activating the Command
Section 7.8.1, “ Activating the Command ”
Description of the “Selection Editor” dialog window
Section 7.8.2, “ Description of the “Selection Editor” dialog window ”
The “Selection Editor” dialog window
Figure 15.36, “ The “Selection Editor” dialog window ”
Example of clicking in the “Selection Editor” display window
Figure 15.37, “ Example of clicking in the “Selection Editor” display window ”
The “Selection to Path Advanced Settings” dialog
Section 7.8.3, “ The “Selection to Path Advanced Settings” dialog ”
The “Advanced Settings” dialog window
Figure 15.38, “ The “Advanced Settings” dialog window ”
Feather
Section 7.9, “ Feather ”
Activating the Command
Section 7.9.1, “ Activating the Command ”
Description of the “Feather Selection” dialog window
Section 7.9.2, “ Description of the “Feather Selection” dialog window ”
The “Feather Selection” dialog La finestra “Selezione sfumata”
Figure 15.39, “ The “Feather Selection” dialog La finestra “Selezione sfumata” ”
Sharpen
Section 7.10, “ Sharpen ”
Activating the Command
Section 7.10.1, “ Activating the Command ”
Shrink
Section 7.11, “ Shrink ”
Activating the Command
Section 7.11.1, “ Activating the Command ”
Description of the “Shrink” dialog
Section 7.11.2, “ Description of the “Shrink” dialog ”
The “Shrink Selection” dialog
Figure 15.40, “ The “Shrink Selection” dialog ”
Grow
Section 7.12, “ Grow ”
Activating the Command
Section 7.12.1, “ Activating the Command ”
Description of the “Grow Selection” dialog
Section 7.12.2, “ Description of the “Grow Selection” dialog ”
The “Grow Selection” dialog window
Figure 15.41, “ The “Grow Selection” dialog window ”
A Peculiarity of Rectangular Selections
Section 7.12.3, “ A Peculiarity of Rectangular Selections ”
Why growing a rectangular selection results in rounded corners
Figure 15.42, “ Why growing a rectangular selection results in rounded corners ”
Border
Section 7.13, “ Border ”
Example of creating a border from a selection
Figure 15.43, “ Example of creating a border from a selection ”
Activating the Command
Section 7.13.1, “ Activating the Command ”
Description of the “Border” dialog window
Section 7.13.2, “ Description of the “Border” dialog window ”
The “Border” dialog window
Figure 15.44, “ The “Border” dialog window ”
Rounded Rectangle
Section 7.14, “ Rounded Rectangle ”
Activating the Command
Section 7.14.1, “ Activating the Command ”
Description of the “Rounded Rectangle” Dialog Window
Section 7.14.2, “ Description of the “Rounded Rectangle” Dialog Window ”
The “Rounded Rectangle” dialog
Figure 15.45, “ The “Rounded Rectangle” dialog ”
Toggle QuickMask
Section 7.15, “ Toggle QuickMask ”
Activate Dialog
Section 7.15.1, “ Activate Dialog ”
Save to Channel
Section 7.16, “ Save to Channel ”
Activating the Command
Section 7.16.1, “ Activating the Command ”
To Path
Section 7.17, “ To Path ”
Activating the Command
Section 7.17.1, “ Activating the Command ”
View
Section 8, “ View ”
Introduction to the “View” Menu
Section 8.1, “ Introduction to the “View” Menu ”
Contents of the View menu
Figure 15.46, “ Contents of the View menu ”
New View
Section 8.2, “ New View ”
Activating the Command
Section 8.2.1, “ Activating the Command ”
Dot for Dot
Section 8.3, “ Dot for Dot ”
Activating the Command
Section 8.3.1, “ Activating the Command ”
Zoom
Section 8.4, “ Zoom ”
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
The “Zoom” submenu of the “View” menu
Figure 15.47, “ The “Zoom” submenu of the “View” menu ”
Activating the Submenu
Section 8.4.1, “ Activating the Submenu ”
Contents of the “Zoom” submenu
Section 8.4.2, “ Contents of the “Zoom” submenu ”
Shrink Wrap
Section 8.5, “ Shrink Wrap ”
Activating the Command
Section 8.5.1, “ Activating the Command ”
Full Screen
Section 8.6, “ Full Screen ”
Activating the Command
Section 8.6.1, “ Activating the Command ”
Info Window
Section 8.7, “ Info Window ”
Activating the Command
Section 8.7.1, “ Activating the Command ”
Description of the “Info Window”
Section 8.7.2, “ Description of the “Info Window” ”
The “General” tab of the “Info Window”
Figure 15.48, “ The “General” tab of the “Info Window” ”
The “Cursor” tab of the “Info Window”
Figure 15.49, “ The “Cursor” tab of the “Info Window” ”
The “Comment” tab of the “Info Window”
Figure 15.50, “ The “Comment” tab of the “Info Window” ”
Navigation Window
Section 8.8, “ Navigation Window ”
Activating the Command
Section 8.8.1, “ Activating the Command ”
Display Filters
Section 8.9, “ Display Filters ”
Activating the Command
Section 8.9.1, “ Activating the Command ”
Description of the “Display Filters” Dialog
Section 8.9.2, “ Description of the “Display Filters” Dialog ”
The “Configure Color Display Filters” dialog
Figure 15.51, “ The “Configure Color Display Filters” dialog ”
Color Deficient Vision
Section 8.9.3, “ Color Deficient Vision ”
Description of the “Color Deficient Vision” dialog
Figure 15.52, “ Description of the “Color Deficient Vision” dialog ”
Example of protanopia with some text
Figure 15.53, “ Example of protanopia with some text ”
Examples of the three types of vision deficiencies in one image
Figure 15.54, “ Examples of the three types of vision deficiencies in one image ”
Gamma
Section 8.9.4, “ Gamma ”
The “Gamma” dialog
Figure 15.55, “ The “Gamma” dialog ”
Contrast
Section 8.9.5, “ Contrast ”
The “Contrast” dialog
Figure 15.56, “ The “Contrast” dialog ”
Color Proof
Section 8.9.6, “ Color Proof ”
The “Color Proof” options
Figure 15.57, “ The “Color Proof” options ”
Show Selection
Section 8.10, “ Show Selection ”
Activating the Command
Section 8.10.1, “ Activating the Command ”
Show Layer Boundary
Section 8.11, “ Show Layer Boundary ”
Activating the Command
Section 8.11.1, “ Activating the Command ”
Show Guides
Section 8.12, “ Show Guides ”
Activating the Command
Section 8.12.1, “ Activating the Command ”
Snap to Guides
Section 8.13, “ Snap to Guides ”
Activating the Command
Section 8.13.1, “ Activating the Command ”
Show Grid
Section 8.14, “ Show Grid ”
Activating the Command
Section 8.14.1, “ Activating the Command ”
Snap to Grid
Section 8.15, “ Snap to Grid ”
Activating the Command
Section 8.15.1, “ Activating the Command ”
Padding Color
Section 8.16, “ Padding Color ”
Contents of the “Padding Color” submenu
Figure 15.58, “ Contents of the “Padding Color” submenu ”
Activating the submenu
Section 8.16.1, “ Activating the submenu ”
“Padding Color” Options
Section 8.16.2, “ “Padding Color” Options ”
Show Menubar
Section 8.17, “ Show Menubar ”
Activating the Command
Section 8.17.1, “ Activating the Command ”
Show Rulers
Section 8.18, “ Show Rulers ”
Activating the Command
Section 8.18.1, “ Activating the Command ”
Show Scrollbars
Section 8.19, “ Show Scrollbars ”
Activating the Command
Section 8.19.1, “ Activating the Command ”
Show Statusbar
Section 8.20, “ Show Statusbar ”
Activating the Command
Section 8.20.1, “ Activating the Command ”
The “Image” Menu of the Image Window
Section 9, “ The “Image” Menu of the Image Window ”
The “Image” Menu of the Image Window
Section 9.1, “ The “Image” Menu of the Image Window ”
The Contents of the “Image” Menu
Figure 15.59, “ The Contents of the “Image” Menu ”
Duplicate
Section 9.2, “ Duplicate ”
Activating the Command
Section 9.2.1, “ Activating the Command ”
Mode
Section 9.3, “ Mode ”
The “Mode” submenu of the “Image” menu
Figure 15.60, “ The “Mode” submenu of the “Image” menu ”
Activating the Submenu
Section 9.3.1, “ Activating the Submenu ”
The Contents of the “Mode” Submenu
Section 9.3.2, “ The Contents of the “Mode” Submenu ”
RGB mode
Section 9.4, “ RGB mode ”
Activating the command
Section 9.4.1, “ Activating the command ”
Grayscale mode
Section 9.5, “ Grayscale mode ”
Activating the Command
Section 9.5.1, “ Activating the Command ”
Indexed mode
Section 9.6, “ Indexed mode ”
Activating the Command
Section 9.6.1, “ Activating the Command ”
The “Convert Image to Indexed Colors” dialog
Section 9.6.2, “ The “Convert Image to Indexed Colors” dialog ”
The “Convert Image to Indexed Colors” dialog
Figure 15.61, “ The “Convert Image to Indexed Colors” dialog ”
Example: full color, with no dithering
Figure 15.62, “ Example: full color, with no dithering ”
Example: four colors, with no dithering
Figure 15.63, “ Example: four colors, with no dithering ”
Example: Floyd-Steinberg (normal)
Figure 15.64, “ Example: Floyd-Steinberg (normal) ”
Example: Floyd-Steinberg (reduced color bleeding)
Figure 15.65, “ Example: Floyd-Steinberg (reduced color bleeding) ”
Decompose
Section 9.7, “ Decompose ”
Activating the Command
Section 9.7.1, “ Activating the Command ”
Compose
Section 9.8, “ Compose ”
Activating the Command
Section 9.8.1, “ Activating the Command ”
Transform
Section 9.9, “ Transform ”
The “Transform” submenu of the “Image” menu
Figure 15.66, “ The “Transform” submenu of the “Image” menu ”
Activating the Submenu
Section 9.9.1, “ Activating the Submenu ”
The Contents of the “Transform” Submenu
Section 9.9.2, “ The Contents of the “Transform” Submenu ”
Flip Horizontally; Flip Vertically
Section 9.10, “ Flip Horizontally; Flip Vertically ”
???TITLE???
???
Activating the Commands
Section 9.10.1, “ Activating the Commands ”
Rotation
Section 9.11, “ Rotation ”
???TITLE???
???
???TITLE???
???
Activating the Commands
Section 9.11.1, “ Activating the Commands ”
Guillotine
Section 9.12, “ Guillotine ”
Activating the Command
Section 9.12.1, “ Activating the Command ”
Canvas Size
Section 9.13, “ Canvas Size ”
Activating the Command
Section 9.13.1, “ Activating the Command ”
Description of the “Canvas size” dialog
Section 9.13.2, “ Description of the “Canvas size” dialog ”
The “Canvas size” dialog
Figure 15.67, “ The “Canvas size” dialog ”
Print Size
Section 9.14, “ Print Size ”
Activating the Dialog
Section 9.14.1, “ Activating the Dialog ”
Options in the “Print Size” Dialog
Section 9.14.2, “ Options in the “Print Size” Dialog ”
The “Print Size” dialog
Figure 15.68, “ The “Print Size” dialog ”
Fit Canvas to Layers
Section 9.15, “ Fit Canvas to Layers ”
Activating the command
Section 9.15.1, “ Activating the command ”
Scale Image
Section 9.16, “ Scale Image ”
Note
Note
Activating the Command
Section 9.16.1, “ Activating the Command ”
The “Scale Image” Dialog
Section 9.16.2, “ The “Scale Image” Dialog ”
The “Scale Image” dialog
Figure 15.69, “ The “Scale Image” dialog ”
Crop Image
Section 9.17, “ Crop Image ”
Activating the command
Section 9.17.1, “ Activating the command ”
Autocrop Image
Section 9.18, “ Autocrop Image ”
Activating the Command
Section 9.18.1, “ Activating the Command ”
Zealous Crop
Section 9.19, “ Zealous Crop ”
Example
Section 9.19.1, “ Example ”
“Zealous Crop” Example
Figure 15.70, “ “Zealous Crop” Example ”
Activating the Command
Section 9.19.2, “ Activating the Command ”
Merge Visible Layers
Section 9.20, “ Merge Visible Layers ”
Activating the Command
Section 9.20.1, “ Activating the Command ”
Description of the “Merge Visible Layers” Dialog
Section 9.20.2, “ Description of the “Merge Visible Layers” Dialog ”
The “Merge Visible Layers” Dialog Dialogen “Flett saman synlege lag”
Figure 15.71, “ The “Merge Visible Layers” Dialog Dialogen “Flett saman synlege lag” ”
Flatten Image
Section 9.21, “ Flatten Image ”
Accessing the Flatten Image menu item
Figure 15.72, “ Accessing the Flatten Image menu item ”
Activating the Command
Section 9.21.1, “ Activating the Command ”
Guides
Section 9.22, “ Guides ”
The “Guides” options of the “Image” submenu
Figure 15.73, “ The “Guides” options of the “Image” submenu ”
Activating the Submenü
Section 9.22.1, “ Activating the Submenü ”
The Contents of the “Guides” Submenu
Section 9.22.2, “ The Contents of the “Guides” Submenu ”
Remove all guides
Section 9.23, “ Remove all guides ”
Activating the Command
Section 9.23.1, “ Activating the Command ”
New Guide (by Percent)
Section 9.24, “ New Guide (by Percent) ”
Activating the Command
Section 9.24.1, “ Activating the Command ”
“New Guide (by Percent)” Options
Section 9.24.2, “ “New Guide (by Percent)” Options ”
The “New Guide (by Percent)” Dialog
Figure 15.74, “ The “New Guide (by Percent)” Dialog ”
New Guide
Section 9.25, “ New Guide ”
Activating the Command
Section 9.25.1, “ Activating the Command ”
“New Guide” Options
Section 9.25.2, “ “New Guide” Options ”
The “New Guide” Dialog
Figure 15.75, “ The “New Guide” Dialog ”
New Guides from Selection
Section 9.26, “ New Guides from Selection ”
Activating the Command
Section 9.26.1, “ Activating the Command ”
Configure Grid
Section 9.27, “ Configure Grid ”
???TITLE???
???
Activating the Command
Section 9.27.1, “ Activating the Command ”
Description of the “Configure Grid” dialog
Section 9.27.2, “ Description of the “Configure Grid” dialog ”
The “Configure grid” dialog
Figure 15.76, “ The “Configure grid” dialog ”
Layers
Section 10, “ Layers ”
Introduction to the “Layer” Menu
Section 10.1, “ Introduction to the “Layer” Menu ”
The Contents of the “Layer” Menu
Figure 15.77, “ The Contents of the “Layer” Menu ”
New Layer
Section 10.2, “ New Layer ”
Activating the Command
Section 10.2.1, “ Activating the Command ”
Description of the “New Layer” Dialog
Section 10.2.2, “ Description of the “New Layer” Dialog ”
The “New Layer” dialog
Figure 15.78, “ The “New Layer” dialog ”
Duplicate layer
Section 10.3, “ Duplicate layer ”
Activating the Command
Section 10.3.1, “ Activating the Command ”
Anchor layer
Section 10.4, “ Anchor layer ”
Activating the Command
Section 10.4.1, “ Activating the Command ”
Merge Down
Section 10.5, “ Merge Down ”
Activating the Command
Section 10.5.1, “ Activating the Command ”
Delete Layer
Section 10.6, “ Delete Layer ”
Activating the Command
Section 10.6.1, “ Activating the Command ”
The “Stack” Submenu
Section 10.7, “ The “Stack” Submenu ”
The “Stack” submenu
Figure 15.79, “ The “Stack” submenu ”
Activating the Submenu
Section 10.7.1, “ Activating the Submenu ”
The Contents of the “Stack” Submenu
Section 10.7.2, “ The Contents of the “Stack” Submenu ”
Select Previous Layer
Section 10.8, “ Select Previous Layer ”
Activating the Command
Section 10.8.1, “ Activating the Command ”
Select Next Layer
Section 10.9, “ Select Next Layer ”
Activating the Command
Section 10.9.1, “ Activating the Command ”
Select Top Layer
Section 10.10, “ Select Top Layer ”
Activating the Command
Section 10.10.1, “ Activating the Command ”
Select Bottom Layer
Section 10.11, “ Select Bottom Layer ”
Activating the Command
Section 10.11.1, “ Activating the Command ”
Raise Layer
Section 10.12, “ Raise Layer ”
Activating the Command
Section 10.12.1, “ Activating the Command ”
Lower Layer
Section 10.13, “ Lower Layer ”
Activating the Command
Section 10.13.1, “ Activating the Command ”
Layer to Top
Section 10.14, “ Layer to Top ”
Activating the Command
Section 10.14.1, “ Activating the Command ”
Layer to Bottom
Section 10.15, “ Layer to Bottom ”
Activating the Command
Section 10.15.1, “ Activating the Command ”
The “Colors” Submenu
Section 10.16, “ The “Colors” Submenu ”
The “Colors” submenu
Figure 15.80, “ The “Colors” submenu ”
Activating the submenu
Section 10.16.1, “ Activating the submenu ”
Contents of the “Colors” Submenu
Section 10.16.2, “ Contents of the “Colors” Submenu ”
Desaturate
Section 10.17, “ Desaturate ”
Activating the Command
Section 10.17.1, “ Activating the Command ”
Invert
Section 10.18, “ Invert ”
Activating the Command
Section 10.18.1, “ Activating the Command ”
Example
Section 10.18.2, “ Example ”
Applying “Invert layer colors”
Figure 15.81, “ Applying “Invert layer colors” ”
Layer Color-Stretching Commands
Section 10.19, “ Layer Color-Stretching Commands ”
The original layer and its histograms
Figure 15.82, “ The original layer and its histograms ”
The “Equalize” command
Figure 15.83, “ The “Equalize” command ”
The “White Balance” command
Figure 15.84, “ The “White Balance” command ”
The “Stretch Contrast” command
Figure 15.85, “ The “Stretch Contrast” command ”
The “Stretch HSV” command
Figure 15.86, “ The “Stretch HSV” command ”
The “Color Enhance” command
Figure 15.87, “ The “Color Enhance” command ”
The “Normalize” command
Figure 15.88, “ The “Normalize” command ”
The “Auto” Submenu
Section 10.20, “ The “Auto” Submenu ”
The “Colors/Auto” submenu
Figure 15.89, “ The “Colors/Auto” submenu ”
Activating the submenu
Section 10.20.1, “ Activating the submenu ”
Contents of the “Auto” Submenu
Section 10.20.2, “ Contents of the “Auto” Submenu ”
Equalize
Section 10.21, “ Equalize ”
Activating the Command
Section 10.21.1, “ Activating the Command ”
“Equalize Layer” example
Section 10.21.2, “ “Equalize Layer” example ”
Original image
Figure 15.90, “ Original image ”
Image after the command
Figure 15.91, “ Image after the command ”
White Balance
Section 10.22, “ White Balance ”
Activating the Command
Section 10.22.1, “ Activating the Command ”
“White Balance” example
Section 10.22.2, “ “White Balance” example ”
Original image
Figure 15.92, “ Original image ”
Image after the command
Figure 15.93, “ Image after the command ”
Stretch Contrast
Section 10.23, “ Stretch Contrast ”
Activating the Command
Section 10.23.1, “ Activating the Command ”
“Stretch Contrast” Example
Section 10.23.2, “ “Stretch Contrast” Example ”
Original image
Figure 15.94, “ Original image ”
Image after the command
Figure 15.95, “ Image after the command ”
Color Enhance
Section 10.24, “ Color Enhance ”
“Color Enhance” example
Section 10.24.1, “ “Color Enhance” example ”
“Color Enhance” example (Original image)
Figure 15.96, “ “Color Enhance” example (Original image) ”
“Color Enhance” example (Image after the command)
Figure 15.97, “ “Color Enhance” example (Image after the command) ”
Activating the Command
Section 10.24.2, “ Activating the Command ”
Stretch HSV
Section 10.25, “ Stretch HSV ”
Activating the Command
Section 10.25.1, “ Activating the Command ”
“Stretch HSV” example
Section 10.25.2, “ “Stretch HSV” example ”
Original image
Figure 15.98, “ Original image ”
Image after the command
Figure 15.99, “ Image after the command ”
Normalize
Section 10.26, “ Normalize ”
“Normalize”Example
Section 10.26.1, “ “Normalize”Example ”
“Normalize”Example (Original image)
Figure 15.100, “ “Normalize”Example (Original image) ”
“Normalize”Example (Image after the command)
Figure 15.101, “ “Normalize”Example (Image after the command) ”
Activating the Command
Section 10.26.2, “ Activating the Command ”
Autocrop Layer
Section 10.27, “ Autocrop Layer ”
Activating the Command
Section 10.27.1, “ Activating the Command ”
Example
Section 10.27.2, “ Example ”
Example
Figure 15.102, “ Example ”
The “Mask” Submenu
Section 10.28, “ The “Mask” Submenu ”
The “Mask” submenu of the “Layer” menu
Figure 15.103, “ The “Mask” submenu of the “Layer” menu ”
Activating the Submenu
Section 10.28.1, “ Activating the Submenu ”
The Contents of the “Mask” Submenu
Section 10.28.2, “ The Contents of the “Mask” Submenu ”
Add Layer Mask
Section 10.29, “ Add Layer Mask ”
Activating the Command
Section 10.29.1, “ Activating the Command ”
Description of the “Add Layer Mask” Dialog
Section 10.29.2, “ Description of the “Add Layer Mask” Dialog ”
The “Add Layer Mask” dialog
Figure 15.104, “ The “Add Layer Mask” dialog ”
Apply Layer Mask
Section 10.30, “ Apply Layer Mask ”
Activating the Command
Section 10.30.1, “ Activating the Command ”
Delete Layer Mask
Section 10.31, “ Delete Layer Mask ”
Activating the Command
Section 10.31.1, “ Activating the Command ”
Edit Layer Mask
Section 10.32, “ Edit Layer Mask ”
Activating the Command
Section 10.32.1, “ Activating the Command ”
Disable Layer Mask
Section 10.33, “ Disable Layer Mask ”
Activating the Command
Section 10.33.1, “ Activating the Command ”
Show Layer Mask
Section 10.34, “ Show Layer Mask ”
Activating the Command
Section 10.34.1, “ Activating the Command ”
Mask to Selection
Section 10.35, “ Mask to Selection ”
Illustration of “Layer Mask to Selection”
Figure 15.105, “ Illustration of “Layer Mask to Selection” ”
Activating the Command
Section 10.35.1, “ Activating the Command ”
Add Layer Mask to Selection
Section 10.36, “ Add Layer Mask to Selection ”
Illustration of Add Layer Mask to Selection
Figure 15.106, “ Illustration of Add Layer Mask to Selection ”
Activating the Command
Section 10.36.1, “ Activating the Command ”
Subtract Layer Mask from Selection
Section 10.37, “ Subtract Layer Mask from Selection ”
Illustration of Subtract Layer Mask from Selection
Figure 15.107, “ Illustration of Subtract Layer Mask from Selection ”
Activating the Command
Section 10.37.1, “ Activating the Command ”
Intersect Layer Mask with Selection
Section 10.38, “ Intersect Layer Mask with Selection ”
Illustration of Intersecting the Layer Mask with the Selection
Figure 15.108, “ Illustration of Intersecting the Layer Mask with the Selection ”
Activating the Command
Section 10.38.1, “ Activating the Command ”
The “Transparency” Submenu of the “Layer” menu
Section 10.39, “ The “Transparency” Submenu of the “Layer” menu ”
The “Transparency” submenu of the “Layer” menu
Figure 15.109, “ The “Transparency” submenu of the “Layer” menu ”
Activating the Submenu
Section 10.39.1, “ Activating the Submenu ”
The Contents of the “Transparency” Submenu
Section 10.39.2, “ The Contents of the “Transparency” Submenu ”
Add Alpha Channel
Section 10.40, “ Add Alpha Channel ”
Activating the Command
Section 10.40.1, “ Activating the Command ”
Color to Alpha
Section 10.41, “ Color to Alpha ”
Activating the Command
Section 10.41.1, “ Activating the Command ”
Semi-flatten
Section 10.42, “ Semi-flatten ”
Activating the Command
Section 10.42.1, “ Activating the Command ”
Threshold Alpha
Section 10.43, “ Threshold Alpha ”
Activating the Command
Section 10.43.1, “ Activating the Command ”
Description of the Dialog Window
Section 10.43.2, “ Description of the Dialog Window ”
The “Threshold Alpha” dialog
Figure 15.110, “ The “Threshold Alpha” dialog ”
Alpha to Selection
Section 10.44, “ Alpha to Selection ”
Activating the Command
Section 10.44.1, “ Activating the Command ”
Example
Section 10.44.2, “ Example ”
Applying “Alpha to Selection”
Figure 15.111, “ Applying “Alpha to Selection” ”
Add to Selection
Section 10.45, “ Add to Selection ”
Activating the Command
Section 10.45.1, “ Activating the Command ”
Example
Section 10.45.2, “ Example ”
Applying “Add to Selection”
Figure 15.112, “ Applying “Add to Selection” ”
Subtract from Selection
Section 10.46, “ Subtract from Selection ”
Activating the Command
Section 10.46.1, “ Activating the Command ”
Example
Section 10.46.2, “ Example ”
Applying “Subtract from Selection”
Figure 15.113, “ Applying “Subtract from Selection” ”
Intersect with Selection
Section 10.47, “ Intersect with Selection ”
Activating the Command
Section 10.47.1, “ Activating the Command ”
Example
Section 10.47.2, “ Example ”
Applying “Intersect with Selection”
Figure 15.114, “ Applying “Intersect with Selection” ”
The “Transform” Submenu
Section 10.48, “ The “Transform” Submenu ”
The “Transform” Submenu of the “Layer” menu
Figure 15.115, “ The “Transform” Submenu of the “Layer” menu ”
Activating the Submenu
Section 10.48.1, “ Activating the Submenu ”
The Contents of the “Transform” Submenu
Section 10.48.2, “ The Contents of the “Transform” Submenu ”
Flip Horizontally
Section 10.49, “ Flip Horizontally ”
Activating the Command
Section 10.49.1, “ Activating the Command ”
Example
Section 10.49.2, “ Example ”
Applying “Flip Layer Horizontally”
Figure 15.116, “ Applying “Flip Layer Horizontally” ”
Flip Vertically
Section 10.50, “ Flip Vertically ”
Activating the Command
Section 10.50.1, “ Activating the Command ”
Rotate 90 degrees CW
Section 10.51, “ Rotate 90 degrees CW ”
Activating the Command
Section 10.51.1, “ Activating the Command ”
Rotate 90 degrees CCW
Section 10.52, “ Rotate 90 degrees CCW ”
Activating the Command
Section 10.52.1, “ Activating the Command ”
Rotate 180 degrees
Section 10.53, “ Rotate 180 degrees ”
Activating the Command
Section 10.53.1, “ Activating the Command ”
Arbitrary Rotation
Section 10.54, “ Arbitrary Rotation ”
Activating the Command
Section 10.54.1, “ Activating the Command ”
Offset
Section 10.55, “ Offset ”
Activating the Command
Section 10.55.1, “ Activating the Command ”
Description of the “Offset” dialog
Section 10.55.2, “ Description of the “Offset” dialog ”
The “Offset” dialog
Figure 15.117, “ The “Offset” dialog ”
Layer Boundary Size
Section 10.56, “ Layer Boundary Size ”
Activating the Command
Section 10.56.1, “ Activating the Command ”
Description of the “Layer Boundary Size” dialog
Section 10.56.2, “ Description of the “Layer Boundary Size” dialog ”
The “Layer Boundary Size” Dialog
Figure 15.118, “ The “Layer Boundary Size” Dialog ”
Layer to Image Size
Section 10.57, “ Layer to Image Size ”
Activating the Command
Section 10.57.1, “ Activating the Command ”
Scale Layer
Section 10.58, “ Scale Layer ”
Activating the Command
Section 10.58.1, “ Activating the Command ”
Description of the “Scale Layer” Dialog
Section 10.58.2, “ Description of the “Scale Layer” Dialog ”
The “Scale Layer” dialog
Figure 15.119, “ The “Scale Layer” dialog ”
Crop Layer
Section 10.59, “ Crop Layer ”
Activating the Command
Section 10.59.1, “ Activating the Command ”
Example
Section 10.59.2, “ Example ”
Applying “Layer Crop”
Figure 15.120, “ Applying “Layer Crop” ”
Align Visible Layers
Section 10.60, “ Align Visible Layers ”
Example image for layer alignment
Figure 15.121, “ Example image for layer alignment ”
Activating the Command
Section 10.60.1, “ Activating the Command ”
Description of the “Layer Align” dialog
Section 10.60.2, “ Description of the “Layer Align” dialog ”
The “Layer Align” dialog
Figure 15.122, “ The “Layer Align” dialog ”
Horizontal “Collect” alignment (on the edge of the canvas)
Figure 15.123, “ Horizontal “Collect” alignment (on the edge of the canvas) ”
Horizontal “Collect” alignment (on the bottom layer)
Figure 15.124, “ Horizontal “Collect” alignment (on the bottom layer) ”
Horizontal “Fill” alignment (canvas)
Figure 15.125, “ Horizontal “Fill” alignment (canvas) ”
Horizontal “Fill” alignment (bottom layer)
Figure 15.126, “ Horizontal “Fill” alignment (bottom layer) ”
Vertical “Fill” alignment (bottom layer)
Figure 15.127, “ Vertical “Fill” alignment (bottom layer) ”
Tools
Section 11, “ Tools ”
Introduction to the “Tools” Menu
Section 11.1, “ Introduction to the “Tools” Menu ”
Contents of the “Tools” menu
Figure 15.128, “ Contents of the “Tools” menu ”
The “Filters” Menu of the Image Window
Section 12, “ The “Filters” Menu of the Image Window ”
Introduction to the “Filters” menu
Section 12.1, “ Introduction to the “Filters” menu ”
The “Filters” menu
Figure 15.129, “ The “Filters” menu ”
Repeat Last
Section 12.2, “ Repeat Last ”
Activating the Command
Section 12.2.1, “ Activating the Command ”
Re-show Last
Section 12.3, “ Re-show Last ”
Activating the Command
Section 12.3.1, “ Activating the Command ”
Reset All Filters
Section 12.4, “ Reset All Filters ”
Activating the Command
Section 12.4.1, “ Activating the Command ”
Filters
Chapter 16, Filters
Filter introduction
Section 1, “ Filter introduction ”
Preview
Section 1.1, “ Preview ”
Preview submenu
Figure 16.1, “ Preview submenu ”
Blur filters
Section 2, “ Blur filters ”
Blur filters introduction
Section 2.1, “ Blur filters introduction ”
Original for demo
Figure 16.2, “ Original for demo ”
Gaussian blur (radius 10)
Figure 16.3, “ Gaussian blur (radius 10) ”
Simple blur
Figure 16.4, “ Simple blur ”
Selective blur
Figure 16.5, “ Selective blur ”
Pixelize
Figure 16.6, “ Pixelize ”
Motion blur
Figure 16.7, “ Motion blur ”
Blur
Section 2.2, “ Blur ”
Overview
Section 2.2.1, “ Overview ”
The Blur filter applied to a photograph
Figure 16.8, “ The Blur filter applied to a photograph ”
Activate the filter
Section 2.2.2, “ Activate the filter ”
Gaussian Blur
Section 2.3, “ Gaussian Blur ”
Overview
Section 2.3.1, “ Overview ”
From left to right: original, filter applied.
Figure 16.9, “ From left to right: original, filter applied. ”
Options
Section 2.3.2, “ Options ”
“Gaussian” filter parameters settings
Figure 16.10, “ “Gaussian” filter parameters settings ”
Selective Gaussian Blur
Section 2.4, “ Selective Gaussian Blur ”
Overview
Section 2.4.1, “ Overview ”
The Selective Gaussian Blur filter
Figure 16.11, “ The Selective Gaussian Blur filter ”
Options
Section 2.4.2, “ Options ”
“Selective Gaussian” filter parateters settings
Figure 16.12, “ “Selective Gaussian” filter parateters settings ”
Motion Blur
Section 2.5, “ Motion Blur ”
Overview
Section 2.5.1, “ Overview ”
Starting example for Motion Blur filter
Figure 16.13, “ Starting example for Motion Blur filter ”
Using example for Motion Blur filter
Figure 16.14, “ Using example for Motion Blur filter ”
Options
Section 2.5.2, “ Options ”
“Motion Blur” filter options
Figure 16.15, “ “Motion Blur” filter options ”
Pixelise
Section 2.6, “ Pixelise ”
Overview
Section 2.6.1, “ Overview ”
From left to right: Before and after applying Pixelise filter
Figure 16.16, “ From left to right: Before and after applying Pixelise filter ”
Options
Section 2.6.2, “ Options ”
“Pixelize” filter options
Figure 16.17, “ “Pixelize” filter options ”
Tileable Blur
Section 2.7, “ Tileable Blur ”
Overview
Section 2.7.1, “ Overview ”
From left to right: original, tileable blur applied
Figure 16.18, “ From left to right: original, tileable blur applied ”
Options
Section 2.7.2, “ Options ”
“Tileable Blur” filter options
Figure 16.19, “ “Tileable Blur” filter options ”
Color filters
Section 3, “ Color filters ”
Introduction to Color Filters
Section 3.1, “ Introduction to Color Filters ”
Adjust FG-BG
Section 3.2, “ Adjust FG-BG ”
Overview
Section 3.2.1, “ Overview ”
From left to right: original image, after applying Adjust FG BG (FG:blue, BG:red)
Figure 16.20, “ From left to right: original image, after applying Adjust FG BG (FG:blue, BG:red) ”
Options
Section 3.2.2, “ Options ”
Alien Map 2
Section 3.3, “ Alien Map 2 ”
Overview
Section 3.3.1, “ Overview ”
Alien Map 2 filter example
Figure 16.21, “ Alien Map 2 filter example ”
Options
Section 3.3.2, “ Options ”
Options for the “Alien Map 2” filter
Figure 16.22, “ Options for the “Alien Map 2” filter ”
Two Colors Exchange
Section 3.4, “ Two Colors Exchange ”
Overview
Section 3.4.1, “ Overview ”
From left to right: Original image, after applying Color Exchange (Blue to black)
Figure 16.23, “ From left to right: Original image, after applying Color Exchange (Blue to black) ”
Options
Section 3.4.2, “ Options ”
Option of the “Two color exchange” filter
Figure 16.24, “ Option of the “Two color exchange” filter ”
Colormap Rotation
Section 3.5, “ Colormap Rotation ”
Overview
Section 3.5.1, “ Overview ”
From left to right: Original image, after applying filter
Figure 16.25, “ From left to right: Original image, after applying filter ”
Main Options
Section 3.5.2, “ Main Options ”
Main Options of the “Color Map Rotation” filter
Figure 16.26, “ Main Options of the “Color Map Rotation” filter ”
Grey Options
Section 3.5.3, “ Grey Options ”
Base image for Grey Options
Figure 16.27, “ Base image for Grey Options ”
Grey Mode
Figure 16.28, “ Grey Mode ”
Gray Threshold
Figure 16.29, “ Gray Threshold ”
Previews
Section 3.5.4, “ Previews ”
Units
Section 3.5.5, “ Units ”
Map Color Range
Section 3.6, “ Map Color Range ”
Overview
Section 3.6.1, “ Overview ”
From left to right: Original image, after applying filter
Figure 16.30, “ From left to right: Original image, after applying filter ”
Options
Section 3.6.2, “ Options ”
Options of the “Map Color Range” filter
Figure 16.31, “ Options of the “Map Color Range” filter ”
Sample Colorize
Section 3.7, “ Sample Colorize ”
Overview
Section 3.7.1, “ Overview ”
From left to right: Original image, after applying filter
Figure 16.32, “ From left to right: Original image, after applying filter ”
Options
Section 3.7.2, “ Options ”
Options of the “Sample Colorize” filter
Figure 16.33, “ Options of the “Sample Colorize” filter ”
Gradient Map
Section 3.8, “ Gradient Map ”
Overview
Section 3.8.1, “ Overview ”
Example of gradient map
Figure 16.34, “ Example of gradient map ”
Border Average
Section 3.9, “ Border Average ”
Overview
Section 3.9.1, “ Overview ”
Options
Section 3.9.2, “ Options ”
Options of the “Border Average Filter”
Figure 16.35, “ Options of the “Border Average Filter” ”
Original image
Figure 16.36, “ Original image ”
“Number of Colors” is set to 4:
Figure 16.37, “ “Number of Colors” is set to 4: ”
“Number of Colors” is set to 128:
Figure 16.38, “ “Number of Colors” is set to 128: ”
Channel Mixer
Section 3.10, “ Channel Mixer ”
Overview
Section 3.10.1, “ Overview ”
From left to right: original image, after applying Channel Mixer filter
Figure 16.39, “ From left to right: original image, after applying Channel Mixer filter ”
Options
Section 3.10.2, “ Options ”
“Channel Mixer” filter options
Figure 16.40, “ “Channel Mixer” filter options ”
Buttons
Section 3.10.3, “ Buttons ”
How does Channel Mixer work?
Section 3.10.4, “ How does Channel Mixer work? ”
The original image and its channels
Figure 16.41, “ The original image and its channels ”
Output channel is red. Green Channel +50
Figure 16.42, “ Output channel is red. Green Channel +50 ”
Output channel is red. Green Channel +50%. The Preserve Luminosity option is checked.
Figure 16.43, “ Output channel is red. Green Channel +50%. The Preserve Luminosity option is checked. ”
Monochrome option checked. Red:100% Green: 50% Blue: 0%. Preserve Luminosity unchecked.
Figure 16.44, “ Monochrome option checked. Red:100% Green: 50% Blue: 0%. Preserve Luminosity unchecked. ”
Colorcube Analysis
Section 3.11, “ Colorcube Analysis ”
Overview
Section 3.11.1, “ Overview ”
From left to right: Original image, after Colorcube Analysis of the image
Figure 16.45, “ From left to right: Original image, after Colorcube Analysis of the image ”
Options
Section 3.11.2, “ Options ”
Colorify
Section 3.12, “ Colorify ”
Overview
Section 3.12.1, “ Overview ”
From left to right: original image, after applying Colorify filter
Figure 16.46, “ From left to right: original image, after applying Colorify filter ”
Options
Section 3.12.2, “ Options ”
“Colorify” filter options
Figure 16.47, “ “Colorify” filter options ”
Color to Alpha
Section 3.13, “ Color to Alpha ”
Overview
Section 3.13.1, “ Overview ”
From left to right: original image, after applying Color to Alpha filter (Blue to transparency)
Figure 16.48, “ From left to right: original image, after applying Color to Alpha filter (Blue to transparency) ”
Options
Section 3.13.2, “ Options ”
Compose
Section 3.14, “ Compose ”
Overview
Section 3.14.1, “ Overview ”
From left to right: Decomposed image (RGB decomposition), composed image.
Figure 16.49, “ From left to right: Decomposed image (RGB decomposition), composed image. ”
Options
Section 3.14.2, “ Options ”
“Compose” filter options
Figure 16.50, “ “Compose” filter options ”
Decompose
Section 3.15, “ Decompose ”
Overview
Section 3.15.1, “ Overview ”
From left to right: Original image, Decomposed image (RGB decomposition).
Figure 16.51, “ From left to right: Original image, Decomposed image (RGB decomposition). ”
Options
Section 3.15.2, “ Options ”
“Decompose” filter options
Figure 16.52, “ “Decompose” filter options ”
Filter Pack
Section 3.16, “ Filter Pack ”
Overview
Section 3.16.1, “ Overview ”
From left to right: Original image, FilterPack (more Blue, more Saturation)
Figure 16.53, “ From left to right: Original image, FilterPack (more Blue, more Saturation) ”
Starting filter
Section 3.16.2, “ Starting filter ”
Options
Section 3.16.3, “ Options ”
All the options for filter “Filter Pack”
Figure 16.54, “ All the options for filter “Filter Pack” ”
Hue option of the “Filterpack” filter
Figure 16.55, “ Hue option of the “Filterpack” filter ”
The saturation option of the “Filterpack” filter
Figure 16.56, “ The saturation option of the “Filterpack” filter ”
Value option of the “Filterpack” filter
Figure 16.57, “ Value option of the “Filterpack” filter ”
Advanced options of the “Filterpack” filter
Figure 16.58, “ Advanced options of the “Filterpack” filter ”
Hot
Section 3.17, “ Hot ”
Overview
Section 3.17.1, “ Overview ”
Options
Section 3.17.2, “ Options ”
Max RGB
Section 3.18, “ Max RGB ”
Overview
Section 3.18.1, “ Overview ”
From left to right: original image, after applying MaxRGB filter
Figure 16.59, “ From left to right: original image, after applying MaxRGB filter ”
Options
Section 3.18.2, “ Options ”
Retinex
Section 3.19, “ Retinex ”
Overview
Section 3.19.1, “ Overview ”
“Retinex” example
Figure 16.60, “ “Retinex” example ”
Activate the filter
Section 3.19.2, “ Activate the filter ”
Options
Section 3.19.3, “ Options ”
“Retinex” filter options
Figure 16.61, “ “Retinex” filter options ”
Semi-Flatten
Section 3.20, “ Semi-Flatten ”
Overview
Section 3.20.1, “ Overview ”
Example
Section 3.20.2, “ Example ”
Toolbox Background color (pink) and an image with feathered edges on a transparent background, at a 800% zoom level.
Figure 16.62, “ Toolbox Background color (pink) and an image with feathered edges on a transparent background, at a 800% zoom level. ”
Result, in GIF format, after applying Semi-flatten filter.
Figure 16.63, “ Result, in GIF format, after applying Semi-flatten filter. ”
Smooth Palette
Section 3.21, “ Smooth Palette ”
Overview
Section 3.21.1, “ Overview ”
From left to right: original image, after applying Smooth Palette filter
Figure 16.64, “ From left to right: original image, after applying Smooth Palette filter ”
Options
Section 3.21.2, “ Options ”
Value invert
Section 3.22, “ Value invert ”
Overview
Section 3.22.1, “ Overview ”
From left to right: original image, after applying Value Invert filter
Figure 16.65, “ From left to right: original image, after applying Value Invert filter ”
Example of using this filter twice
Figure 16.66, “ Example of using this filter twice ”
Options
Section 3.22.2, “ Options ”
Noise filters
Section 4, “ Noise filters ”
Noise filters introduction
Section 4.1, “ Noise filters introduction ”
Hurl
Section 4.2, “ Hurl ”
Overview
Section 4.2.1, “ Overview ”
Options
Section 4.2.2, “ Options ”
“Hurl” options
Figure 16.67, “ “Hurl” options ”
Scatter RGB
Section 4.3, “ Scatter RGB ”
Overview
Section 4.3.1, “ Overview ”
Example of applying the Noisify filter
Figure 16.68, “ Example of applying the Noisify filter ”
Options
Section 4.3.2, “ Options ”
“Scatter RGB” filter options
Figure 16.69, “ “Scatter RGB” filter options ”
Pick
Section 4.4, “ Pick ”
Overview
Section 4.4.1, “ Overview ”
Example of applying the “Pick” filter
Figure 16.70, “ Example of applying the “Pick” filter ”
Options
Section 4.4.2, “ Options ”
“Pick” filter options
Figure 16.71, “ “Pick” filter options ”
Scatter HSV
Section 4.5, “ Scatter HSV ”
Overview
Section 4.5.1, “ Overview ”
Example of applying the Pick HSV filter
Figure 16.72, “ Example of applying the Pick HSV filter ”
Options
Section 4.5.2, “ Options ”
“Scatter HSV” filter options
Figure 16.73, “ “Scatter HSV” filter options ”
Slur
Section 4.6, “ Slur ”
Overview
Section 4.6.1, “ Overview ”
Example of applying the Slur filter
Figure 16.74, “ Example of applying the Slur filter ”
Options
Section 4.6.2, “ Options ”
Slur filter options
Figure 16.75, “ Slur filter options ”
Spread
Section 4.7, “ Spread ”
Overview
Section 4.7.1, “ Overview ”
Example of applying the Spread filter
Figure 16.76, “ Example of applying the Spread filter ”
Options
Section 4.7.2, “ Options ”
“Spread” filter options
Figure 16.77, “ “Spread” filter options ”
Edge-detect filters
Section 5, “ Edge-detect filters ”
Edge-detect introduction
Section 5.1, “ Edge-detect introduction ”
Difference of Gaussians
Section 5.2, “ Difference of Gaussians ”
Overview
Section 5.2.1, “ Overview ”
Applying example for the Difference of Gaussians filter
Figure 16.78, “ Applying example for the Difference of Gaussians filter ”
Options
Section 5.2.2, “ Options ”
Gaussian Difference filter options
Figure 16.79, “ Gaussian Difference filter options ”
Edge
Section 5.3, “ Edge ”
Overview
Section 5.3.1, “ Overview ”
Applying example for the Edge filter
Figure 16.80, “ Applying example for the Edge filter ”
Applying examples for the Edge filter
Figure 16.81, “ Applying examples for the Edge filter ”
Applying example for the Edge filter
Figure 16.82, “ Applying example for the Edge filter ”
Applying example for the Edge filter
Figure 16.83, “ Applying example for the Edge filter ”
Options
Section 5.3.2, “ Options ”
Edge filter options
Figure 16.84, “ Edge filter options ”
Laplace
Section 5.4, “ Laplace ”
Overview
Section 5.4.1, “ Overview ”
Applying example for the Laplace filter
Figure 16.85, “ Applying example for the Laplace filter ”
Neon
Section 5.5, “ Neon ”
Overview
Section 5.5.1, “ Overview ”
Applying example for the Neon filter
Figure 16.86, “ Applying example for the Neon filter ”
Activating the filter
Section 5.5.2, “ Activating the filter ”
Options
Section 5.5.3, “ Options ”
Neon filter options
Figure 16.87, “ Neon filter options ”
Sobel
Section 5.6, “ Sobel ”
Overview
Section 5.6.1, “ Overview ”
Applying example of the Sobel filter
Figure 16.88, “ Applying example of the Sobel filter ”
Options
Section 5.6.2, “ Options ”
Sobel filter options
Figure 16.89, “ Sobel filter options ”
Enhance filters
Section 6, “ Enhance filters ”
Enhance filters introduction
Section 6.1, “ Enhance filters introduction ”
Deinterlace
Section 6.2, “ Deinterlace ”
Overview
Section 6.2.1, “ Overview ”
Options
Section 6.2.2, “ Options ”
Deinterlace ofilter options Options du filtre Désentrelacer
Figure 16.90, “ Deinterlace ofilter options Options du filtre Désentrelacer ”
Simple applying example for the Deinterlace filter
Figure 16.91, “ Simple applying example for the Deinterlace filter ”
Despeckle
Section 6.3, “ Despeckle ”
Overview
Section 6.3.1, “ Overview ”
Options
Section 6.3.2, “ Options ”
“Despeckle” filter options
Figure 16.92, “ “Despeckle” filter options ”
Destripe
Section 6.4, “ Destripe ”
Overview
Section 6.4.1, “ Overview ”
Options
Section 6.4.2, “ Options ”
“Destripe” filter options
Figure 16.93, “ “Destripe” filter options ”
NL Filter
Section 6.5, “ NL Filter ”
Overview
Section 6.5.1, “ Overview ”
Options
Section 6.5.2, “ Options ”
“NL Filter” options
Figure 16.94, “ “NL Filter” options ”
Operating Modes
Section 6.5.3, “ Operating Modes ”
Sharpen
Section 6.6, “ Sharpen ”
Overview
Section 6.6.1, “ Overview ”
Applying example for the Sharpen filter
Figure 16.95, “ Applying example for the Sharpen filter ”
Options
Section 6.6.2, “ Options ”
“Sharpen” filter options
Figure 16.96, “ “Sharpen” filter options ”
Unsharp Mask
Section 6.7, “ Unsharp Mask ”
Overview
Section 6.7.1, “ Overview ”
Applying example for the Unsharp Mask filter
Figure 16.97, “ Applying example for the Unsharp Mask filter ”
Options
Section 6.7.2, “ Options ”
“Unsharp Mask” filter options
Figure 16.98, “ “Unsharp Mask” filter options ”
How does an unsharp mask work?
Section 6.7.3, “ How does an unsharp mask work? ”
Black eye effect
Figure 16.99, “ Black eye effect ”
Generic filters
Section 7, “ Generic filters ”
Generic filters introduction
Section 7.1, “ Generic filters introduction ”
Convolution matrix
Section 7.2, “ Convolution matrix ”
Overview
Section 7.2.1, “ Overview ”
Options
Section 7.2.2, “ Options ”
Examples
Section 7.2.3, “ Examples ”
Sharpen
Figure 16.100, “ Sharpen ”
Blur
Figure 16.101, “ Blur ”
Edge enhance
Figure 16.102, “ Edge enhance ”
Edge detect
Figure 16.103, “ Edge detect ”
Emboss
Figure 16.104, “ Emboss ”
Dilate
Section 7.3, “ Dilate ”
Overview
Section 7.3.1, “ Overview ”
Applying example for the Dilate filter
Figure 16.105, “ Applying example for the Dilate filter ”
Options
Section 7.3.2, “ Options ”
Examples
Section 7.3.3, “ Examples ”
Dilate text
Figure 16.106, “ Dilate text ”
Dilate neon effect
Figure 16.107, “ Dilate neon effect ”
Erode
Section 7.4, “ Erode ”
Overview
Section 7.4.1, “ Overview ”
Erode noise
Figure 16.108, “ Erode noise ”
Options
Section 7.4.2, “ Options ”
Glass Effects filters
Section 8, “ Glass Effects filters ”
Glass Effects filters introduction
Section 8.1, “ Glass Effects filters introduction ”
Apply Lens
Section 8.2, “ Apply Lens ”
Overview
Section 8.2.1, “ Overview ”
The same image, before and after applying lens effect.
Figure 16.109, “ The same image, before and after applying lens effect. ”
Options
Section 8.2.2, “ Options ”
“Apply Lens” filter options
Figure 16.110, “ “Apply Lens” filter options ”
Glass Tile
Section 8.3, “ Glass Tile ”
Overview
Section 8.3.1, “ Overview ”
The same image, before and after applying glass tile effect.
Figure 16.111, “ The same image, before and after applying glass tile effect. ”
Options
Section 8.3.2, “ Options ”
“Glass Tile” filter options
Figure 16.112, “ “Glass Tile” filter options ”
Light Effects filters
Section 9, “ Light Effects filters ”
Light Effects filters introduction
Section 9.1, “ Light Effects filters introduction ”
FlareFX
Section 9.2, “ FlareFX ”
Overview
Section 9.2.1, “ Overview ”
Example for the FlareFX filter
Figure 16.113, “ Example for the FlareFX filter ”
Options
Section 9.2.2, “ Options ”
“FlareFX” filter options
Figure 16.114, “ “FlareFX” filter options ”
Gflare
Section 9.3, “ Gflare ”
Overview
Section 9.3.1, “ Overview ”
Example for the GFlare filter
Figure 16.115, “ Example for the GFlare filter ”
Options
Section 9.3.2, “ Options ”
Settings
Section 9.3.3, “ Settings ”
“GFlare” filter options (Settings)
Figure 16.116, “ “GFlare” filter options (Settings) ”
Selector
Section 9.3.4, “ Selector ”
“Gflare” filter options (Selector)
Figure 16.117, “ “Gflare” filter options (Selector) ”
Gflare Editor
Section 9.3.5, “ Gflare Editor ”
“Gflare Editor” options (General)
Figure 16.118, “ “Gflare Editor” options (General) ”
“Gflare Editor” options (Glow)
Figure 16.119, “ “Gflare Editor” options (Glow) ”
“Gflare Editor” options (Rays)
Figure 16.120, “ “Gflare Editor” options (Rays) ”
“Gflare Editor” options (Second Flares)
Figure 16.121, “ “Gflare Editor” options (Second Flares) ”
Lighting Effects
Section 9.4, “ Lighting Effects ”
Overview
Section 9.4.1, “ Overview ”
The same image, before and after applying Lighting filter
Figure 16.122, “ The same image, before and after applying Lighting filter ”
Options
Section 9.4.2, “ Options ”
“Lighting” filter general options
Figure 16.123, “ “Lighting” filter general options ”
“Light” Options of the Lighting filter
Figure 16.124, “ “Light” Options of the Lighting filter ”
“Material” tab of the Lighting filter
Figure 16.125, “ “Material” tab of the Lighting filter ”
“Bumpmap” options of the Lighting filter
Figure 16.126, “ “Bumpmap” options of the Lighting filter ”
“Environment map” options
Figure 16.127, “ “Environment map” options ”
Sparkle
Section 9.5, “ Sparkle ”
Overview
Section 9.5.1, “ Overview ”
Applying example for the Sparkle filter
Figure 16.128, “ Applying example for the Sparkle filter ”
Parameter Settings
Section 9.5.2, “ Parameter Settings ”
“Sparkle” filter options
Figure 16.129, “ “Sparkle” filter options ”
SuperNova
Section 9.6, “ SuperNova ”
Overview
Section 9.6.1, “ Overview ”
Applying example for the Supernova filter
Figure 16.130, “ Applying example for the Supernova filter ”
Parameter Settings
Section 9.6.2, “ Parameter Settings ”
“Supernova” filter options
Figure 16.131, “ “Supernova” filter options ”
Distort filters
Section 10, “ Distort filters ”
Distort filters introduction
Section 10.1, “ Distort filters introduction ”
Blinds
Section 10.2, “ Blinds ”
Overview
Section 10.2.1, “ Overview ”
Applying example for the Blinds filter
Figure 16.132, “ Applying example for the Blinds filter ”
Options
Section 10.2.2, “ Options ”
“Blinds” filter options
Figure 16.133, “ “Blinds” filter options ”
Curve Bend
Section 10.3, “ Curve Bend ”
Overview
Section 10.3.1, “ Overview ”
Applying example for the Curve Bend filter
Figure 16.134, “ Applying example for the Curve Bend filter ”
Options
Section 10.3.2, “ Options ”
“Curve bend” filter options
Figure 16.135, “ “Curve bend” filter options ”
Emboss
Section 10.4, “ Emboss ”
Overview
Section 10.4.1, “ Overview ”
Applying example for the Emboss filter
Figure 16.136, “ Applying example for the Emboss filter ”
Options
Section 10.4.2, “ Options ”
“Emboss” filter options
Figure 16.137, “ “Emboss” filter options ”
IWarp
Section 10.5, “ IWarp ”
Overview
Section 10.5.1, “ Overview ”
Applying example for the IWarp filter
Figure 16.138, “ Applying example for the IWarp filter ”
Settings
Section 10.5.2, “ Settings ”
“IWarp” filter options (Settings tab)
Figure 16.139, “ “IWarp” filter options (Settings tab) ”
“IWarp” filter options (Animation tab)
Figure 16.140, “ “IWarp” filter options (Animation tab) ”
Mosaic
Section 10.6, “ Mosaic ”
Overview
Section 10.6.1, “ Overview ”
Options
Section 10.6.2, “ Options ”
Page Curl
Section 10.7, “ Page Curl ”
Overview
Section 10.7.1, “ Overview ”
Options
Section 10.7.2, “ Options ”
Example
Section 10.7.3, “ Example ”
Polar Coords
Section 10.8, “ Polar Coords ”
Overview
Section 10.8.1, “ Overview ”
Options
Section 10.8.2, “ Options ”
Examples
Section 10.8.3, “ Examples ”
With text
Figure 16.141, “ With text ”
With two horizontal bars
Figure 16.142, “ With two horizontal bars ”
Ripple
Section 10.9, “ Ripple ”
Overview
Section 10.9.1, “ Overview ”
Options
Section 10.9.2, “ Options ”
Shift
Section 10.10, “ Shift ”
Overview
Section 10.10.1, “ Overview ”
Options
Section 10.10.2, “ Options ”
Newsprint
Section 10.11, “ Newsprint ”
Overview
Section 10.11.1, “ Overview ”
Options
Section 10.11.2, “ Options ”
Video
Section 10.12, “ Video ”
Overview
Section 10.12.1, “ Overview ”
Options
Section 10.12.2, “ Options ”
Value Propagate
Section 10.13, “ Value Propagate ”
Overview
Section 10.13.1, “ Overview ”
Options
Section 10.13.2, “ Options ”
Example
Figure 16.143, “ Example ”
More White
Figure 16.144, “ More White ”
More Black
Figure 16.145, “ More Black ”
Middle Value to Peaks
Figure 16.146, “ Middle Value to Peaks ”
Foreground to Peaks
Figure 16.147, “ Foreground to Peaks ”
Only Foreground
Figure 16.148, “ Only Foreground ”
Waves
Section 10.14, “ Waves ”
Overview
Section 10.14.1, “ Overview ”
Options
Section 10.14.2, “ Options ”
Whirl and Pinch
Section 10.15, “ Whirl and Pinch ”
Overview
Section 10.15.1, “ Overview ”
Illustration
Figure 16.149, “ Illustration ”
Parameter Settings
Section 10.15.2, “ Parameter Settings ”
Wind
Section 10.16, “ Wind ”
Overview
Section 10.16.1, “ Overview ”
Parameter Settings
Section 10.16.2, “ Parameter Settings ”
Artistic filters
Section 11, “ Artistic filters ”
Artistic filters introduction
Section 11.1, “ Artistic filters introduction ”
Apply Canvas
Section 11.2, “ Apply Canvas ”
Overview
Section 11.2.1, “ Overview ”
The same image, before and after applying “Apply Canvas” filter
Figure 16.150, “ The same image, before and after applying “Apply Canvas” filter ”
Options
Section 11.2.2, “ Options ”
“Apply Canvas” options
Figure 16.151, “ “Apply Canvas” options ”
Cartoon
Section 11.3, “ Cartoon ”
Overview
Section 11.3.1, “ Overview ”
The same image, before and after applying “Cartoon” filter
Figure 16.152, “ The same image, before and after applying “Cartoon” filter ”
Options
Section 11.3.2, “ Options ”
“Cartoon” filter options
Figure 16.153, “ “Cartoon” filter options ”
Cubism
Section 11.4, “ Cubism ”
Overview
Section 11.4.1, “ Overview ”
The same image, before and after applying Cubism filter
Figure 16.154, “ The same image, before and after applying Cubism filter ”
Options
Section 11.4.2, “ Options ”
“Cubism” filter options
Figure 16.155, “ “Cubism” filter options ”
Example illustrating the action of the “Use BackGround color” option
Figure 16.156, “ Example illustrating the action of the “Use BackGround color” option ”
The option is not checked
Figure 16.157, “ The option is not checked ”
The option is checked
Figure 16.158, “ The option is checked ”
GIMPressionist
Section 11.5, “ GIMPressionist ”
Overview
Section 11.5.1, “ Overview ”
The same image, before and after applying GIMPressionist
Figure 16.159, “ The same image, before and after applying GIMPressionist ”
Parameter Settings
Section 11.5.2, “ Parameter Settings ”
“Presets” tab options
Figure 16.160, “ “Presets” tab options ”
“Paper” tab options
Figure 16.161, “ “Paper” tab options ”
“Brush” tab options
Figure 16.162, “ “Brush” tab options ”
“Orientation” tab options
Figure 16.163, “ “Orientation” tab options ”
“Size” tab options
Figure 16.164, “ “Size” tab options ”
“Placement” tab options
Figure 16.165, “ “Placement” tab options ”
“Color” tab options
Figure 16.166, “ “Color” tab options ”
“General” tab options
Figure 16.167, “ “General” tab options ”
GIMPressionist - Orientation Map Editor
Section 11.6, “ GIMPressionist - Orientation Map Editor ”
Overview
Section 11.6.1, “ Overview ”
Parameter Settings
Section 11.6.2, “ Parameter Settings ”
Options of the “Orientation-map Editor” dialog
Figure 16.168, “ Options of the “Orientation-map Editor” dialog ”
GIMPressionist - Size Map Editor
Section 11.7, “ GIMPressionist - Size Map Editor ”
Overview
Section 11.7.1, “ Overview ”
Parameter Settings
Section 11.7.2, “ Parameter Settings ”
“Size-map editor options”
Figure 16.169, “ “Size-map editor options” ”
Oilify
Section 11.8, “ Oilify ”
Overview
Section 11.8.1, “ Overview ”
The same image, before and after applying “Oilify” filter
Figure 16.170, “ The same image, before and after applying “Oilify” filter ”
Options
Section 11.8.2, “ Options ”
“Oilify” filter options
Figure 16.171, “ “Oilify” filter options ”
Photocopy
Section 11.9, “ Photocopy ”
Overview
Section 11.9.1, “ Overview ”
The same image, before and after applying Photocopy filter
Figure 16.172, “ The same image, before and after applying Photocopy filter ”
Starting filter
Section 11.9.2, “ Starting filter ”
Options
Section 11.9.3, “ Options ”
“Photocopy” filter options
Figure 16.173, “ “Photocopy” filter options ”
Soft Glow
Section 11.10, “ Soft Glow ”
Overview
Section 11.10.1, “ Overview ”
The same image, before and after applying SoftGlow filter
Figure 16.174, “ The same image, before and after applying SoftGlow filter ”
Starting filter
Section 11.10.2, “ Starting filter ”
Options
Section 11.10.3, “ Options ”
“Soft Glow” filter options
Figure 16.175, “ “Soft Glow” filter options ”
Map filters
Section 12, “ Map filters ”
Map filters introduction
Section 12.1, “ Map filters introduction ”
Bump Map
Section 12.2, “ Bump Map ”
Overview
Section 12.2.1, “ Overview ”
From left to right: original image, bump map, bumpmapped image
Figure 16.176, “ From left to right: original image, bump map, bumpmapped image ”
Options
Section 12.2.2, “ Options ”
“Bump Map” filter options
Figure 16.177, “ “Bump Map” filter options ”
Displace
Section 12.3, “ Displace ”
Overview
Section 12.3.1, “ Overview ”
Displacement examples
Figure 16.178, “ Displacement examples ”
Options
Section 12.3.2, “ Options ”
Options
Figure 16.179, “ Options ”
Using gradient to bend a text
Section 12.3.3, “ Using gradient to bend a text ”
Fractal Trace
Section 12.4, “ Fractal Trace ”
Overview
Section 12.4.1, “ Overview ”
Options
Section 12.4.2, “ Options ”
“Fractal trace” filter options
Figure 16.180, “ “Fractal trace” filter options ”
Illusion
Section 12.5, “ Illusion ”
Overview
Section 12.5.1, “ Overview ”
Options
Section 12.5.2, “ Options ”
“Illusion” filter options
Figure 16.181, “ “Illusion” filter options ”
From left to right: original image, mode 1, mode 2, with Divisions=4
Figure 16.182, “ From left to right: original image, mode 1, mode 2, with Divisions=4 ”
Make Seamless
Section 12.6, “ Make Seamless ”
Overview
Section 12.6.1, “ Overview ”
An example of Make Seamless.
Figure 16.183, “ An example of Make Seamless. ”
Map Object
Section 12.7, “ Map Object ”
Overview
Section 12.7.1, “ Overview ”
The “Map Object” filter applied to a photograph
Figure 16.184, “ The “Map Object” filter applied to a photograph ”
Options
Section 12.7.2, “ Options ”
Preview domain
Section 12.7.2.1, “ Preview domain ”
General Options tab
Section 12.7.2.2, “ General Options tab ”
“Map Object” general options tab
Figure 16.185, “ “Map Object” general options tab ”
Light tab
Section 12.7.2.3, “ Light tab ”
“Light” tab options
Figure 16.186, “ “Light” tab options ”
Material tab
Section 12.7.2.4, “ Material tab ”
“Material” tab options
Figure 16.187, “ “Material” tab options ”
Orientation tab
Section 12.7.2.5, “ Orientation tab ”
“Orientation” tab options
Figure 16.188, “ “Orientation” tab options ”
Box tab
Section 12.7.2.6, “ Box tab ”
“Box” tab options
Figure 16.189, “ “Box” tab options ”
Cylinder tab
Section 12.7.2.7, “ Cylinder tab ”
“Cylinder” tab options
Figure 16.190, “ “Cylinder” tab options ”
Paper Tile
Section 12.8, “ Paper Tile ”
Overview
Section 12.8.1, “ Overview ”
From left to right: original image, after applying “Paper Tile” filter (division = 3)
Figure 16.191, “ From left to right: original image, after applying “Paper Tile” filter (division = 3) ”
Activate the filter
Section 12.8.2, “ Activate the filter ”
Options
Section 12.8.3, “ Options ”
“Paper Tile” filter options
Figure 16.192, “ “Paper Tile” filter options ”
Small Tiles
Section 12.9, “ Small Tiles ”
Overview
Section 12.9.1, “ Overview ”
Options
Section 12.9.2, “ Options ”
“Small Tiles” filter options
Figure 16.193, “ “Small Tiles” filter options ”
Tile
Section 12.10, “ Tile ”
Overview
Section 12.10.1, “ Overview ”
The same image, before and after applying Tile filter
Figure 16.194, “ The same image, before and after applying Tile filter ”
Options
Section 12.10.2, “ Options ”
“Tile” filter options
Figure 16.195, “ “Tile” filter options ”
Warp
Section 12.11, “ Warp ”
Overview
Section 12.11.1, “ Overview ”
From left to right: original image, displace map, displaced image
Figure 16.196, “ From left to right: original image, displace map, displaced image ”
With a non-linear gradient
Figure 16.197, “ With a non-linear gradient ”
With a complex gradient:
Figure 16.198, “ With a complex gradient: ”
Options
Section 12.11.2, “ Options ”
Warp filter options
Figure 16.199, “ Warp filter options ”
With a 3.00 dither size:
Figure 16.200, “ With a 3.00 dither size: ”
With a 10° angle and 6 iterations:
Figure 16.201, “ With a 10° angle and 6 iterations: ”
Magnitude Map example:
Figure 16.202, “ Magnitude Map example: ”
Gradient map example
Figure 16.203, “ Gradient map example ”
Vector map example
Figure 16.204, “ Vector map example ”
Van Gogh (LIC)
Section 12.12, “ Van Gogh (LIC) ”
Overview
Section 12.12.1, “ Overview ”
From left to right: original image, map, resulting image
Figure 16.205, “ From left to right: original image, map, resulting image ”
Options
Section 12.12.2, “ Options ”
“Van Gogh (LIC)” filter options
Figure 16.206, “ “Van Gogh (LIC)” filter options ”
Blurring with vertical gradient map
Figure 16.207, “ Blurring with vertical gradient map ”
Blurring with a square gradient map
Figure 16.208, “ Blurring with a square gradient map ”
Texture example
Figure 16.209, “ Texture example ”
Derivative option example
Figure 16.210, “ Derivative option example ”
Action example of Filter Length on blur
Figure 16.211, “ Action example of Filter Length on blur ”
Filter Length example on texture
Figure 16.212, “ Filter Length example on texture ”
Action example of Noise Magnitude on texture
Figure 16.213, “ Action example of Noise Magnitude on texture ”
Action example of Integration Steps on texture
Figure 16.214, “ Action example of Integration Steps on texture ”
Action example of Min/max values on texture
Figure 16.215, “ Action example of Min/max values on texture ”
Rendering filters
Section 13, “ Rendering filters ”
Render filters introduction
Section 13.1, “ Render filters introduction ”
Plasma
Section 13.2, “ Plasma ”
Overview
Section 13.2.1, “ Overview ”
Example of a rendered plasma.
Figure 16.216, “ Example of a rendered plasma. ”
Options
Section 13.2.2, “ Options ”
“Plasma” filter options
Figure 16.217, “ “Plasma” filter options ”
Solid Noise
Section 13.3, “ Solid Noise ”
Overview
Section 13.3.1, “ Overview ”
Example of turbulent solid noise.
Figure 16.218, “ Example of turbulent solid noise. ”
Options
Section 13.3.2, “ Options ”
“Solid Noise” filter options
Figure 16.219, “ “Solid Noise” filter options ”
Flame
Section 13.4, “ Flame ”
Overview
Section 13.4.1, “ Overview ”
Example of a rendered Flame.
Figure 16.220, “ Example of a rendered Flame. ”
Options
Section 13.4.2, “ Options ”
The Edit Flame dialog
Figure 16.221, “ The Edit Flame dialog ”
IFS Compose
Section 13.5, “ IFS Compose ”
Overview
Section 13.5.1, “ Overview ”
Applying example for the IFS Compose filter
Figure 16.222, “ Applying example for the IFS Compose filter ”
Options
Section 13.5.2, “ Options ”
“Color transformation” tab options
Figure 16.223, “ “Color transformation” tab options ”
A Brief Tutorial
Section 13.5.3, “ A Brief Tutorial ”
Tutorial Step 2
Figure 16.224, “ Tutorial Step 2 ”
Tutorial Step 3
Figure 16.225, “ Tutorial Step 3 ”
Tutorial Step 4
Figure 16.226, “ Tutorial Step 4 ”
Tutorial Step 5
Figure 16.227, “ Tutorial Step 5 ”
Diffraction Patterns
Section 13.6, “ Diffraction Patterns ”
Overview
Section 13.6.1, “ Overview ”
Two examples of diffraction patterns.
Figure 16.228, “ Two examples of diffraction patterns. ”
CML Explorer
Section 13.7, “ CML Explorer ”
Overview
Section 13.7.1, “ Overview ”
The same image, before and after applying CML Explorer
Figure 16.229, “ The same image, before and after applying CML Explorer ”
Starting filter
Section 13.7.2, “ Starting filter ”
Options
Section 13.7.3, “ Options ”
“CML Explorer” filter options(Hue)
Figure 16.230, “ “CML Explorer” filter options(Hue) ”
Function graph of present settings
Figure 16.231, “ Function graph of present settings ”
“CML Explorer” filter options(Saturation)
Figure 16.232, “ “CML Explorer” filter options(Saturation) ”
“CML Explorer” filter options (Value)
Figure 16.233, “ “CML Explorer” filter options (Value) ”
“CML Explorer” filter options (Advanced)
Figure 16.234, “ “CML Explorer” filter options (Advanced) ”
“CML Explorer” filter options (Others)
Figure 16.235, “ “CML Explorer” filter options (Others) ”
“CML Explorer” filter options (Misc.ops)
Figure 16.236, “ “CML Explorer” filter options (Misc.ops) ”
Grid
Section 13.8, “ Grid ”
Overview
Section 13.8.1, “ Overview ”
Applying example for the Grid filter
Figure 16.237, “ Applying example for the Grid filter ”
Options
Section 13.8.2, “ Options ”
“Grid” filter options
Figure 16.238, “ “Grid” filter options ”
Maze
Section 13.9, “ Maze ”
Overview
Section 13.9.1, “ Overview ”
An example of a rendered maze.
Figure 16.239, “ An example of a rendered maze. ”
Options
Section 13.9.2, “ Options ”
“Maze” filter options
Figure 16.240, “ “Maze” filter options ”
Jigsaw
Section 13.10, “ Jigsaw ”
Overview
Section 13.10.1, “ Overview ”
Jigsaw filter example
Figure 16.241, “ Jigsaw filter example ”
Options
Section 13.10.2, “ Options ”
“Jigsaw” filter options
Figure 16.242, “ “Jigsaw” filter options ”
Qbist
Section 13.11, “ Qbist ”
Overview
Section 13.11.1, “ Overview ”
Applying example for the Qbist filter
Figure 16.243, “ Applying example for the Qbist filter ”
Three more or less random examples of qbist renderings.
Figure 16.244, “ Three more or less random examples of qbist renderings. ”
Options
Section 13.11.2, “ Options ”
“Qbist” filter options
Figure 16.245, “ “Qbist” filter options ”
Checkerboard
Section 13.12, “ Checkerboard ”
Overview
Section 13.12.1, “ Overview ”
The same image, before and after applying Checkerboard filter
Figure 16.246, “ The same image, before and after applying Checkerboard filter ”
Starting filter
Section 13.12.2, “ Starting filter ”
Options
Section 13.12.3, “ Options ”
“Checkerboard” filter options
Figure 16.247, “ “Checkerboard” filter options ”
Sinus
Section 13.13, “ Sinus ”
Overview
Section 13.13.1, “ Overview ”
Applying example for the Sinus filter
Figure 16.248, “ Applying example for the Sinus filter ”
Options
Section 13.13.2, “ Options ”
“Sinus” filter options (Settings)
Figure 16.249, “ “Sinus” filter options (Settings) ”
“Sinus” filter options (Color)
Figure 16.250, “ “Sinus” filter options (Color) ”
Sinus filter options (Blend)
Figure 16.251, “ Sinus filter options (Blend) ”
Fractal Explorer
Section 13.14, “ Fractal Explorer ”
Overview
Section 13.14.1, “ Overview ”
The same image, before and after applying Fractal Explorer filter
Figure 16.252, “ The same image, before and after applying Fractal Explorer filter ”
Starting filter
Section 13.14.2, “ Starting filter ”
Options
Section 13.14.3, “ Options ”
“Parameters” options for Fractal Explorer filter
Figure 16.253, “ “Parameters” options for Fractal Explorer filter ”
Color tab options
Figure 16.254, “ Color tab options ”
Loglog smoothing example
Figure 16.255, “ Loglog smoothing example ”
“Fractal tab” options
Figure 16.256, “ “Fractal tab” options ”
Gfig
Section 13.15, “ Gfig ”
Overview
Section 13.15.1, “ Overview ”
The same image, before and after using Gfig
Figure 16.257, “ The same image, before and after using Gfig ”
Starting filter
Section 13.15.2, “ Starting filter ”
Options
Section 13.15.3, “ Options ”
“Gfig” filter options
Figure 16.258, “ “Gfig” filter options ”
Sphere Designer
Section 13.16, “ Sphere Designer ”
Overview
Section 13.16.1, “ Overview ”
The same image, before and after the application of “Sphere Designer” filter.
Figure 16.259, “ The same image, before and after the application of “Sphere Designer” filter. ”
Activating Sphere Designer
Section 13.16.2, “ Activating Sphere Designer ”
Options
Section 13.16.3, “ Options ”
“Sphere Designer” filter parameters
Figure 16.260, “ “Sphere Designer” filter parameters ”
Combine filters
Section 14, “ Combine filters ”
Combine filters introduction
Section 14.1, “ Combine filters introduction ”
Depth Merge
Section 14.2, “ Depth Merge ”
Overview
Section 14.2.1, “ Overview ”
Accessing this Filter
Section 14.2.2, “ Accessing this Filter ”
Options
Section 14.2.3, “ Options ”
Figure 16.261, “ ”
Using example
Section 14.2.4, “ Using example ”
Source images and their maps
Figure 16.262, “ Source images and their maps ”
Results
Figure 16.263, “ Results ”
Film
Section 14.3, “ Film ”
Overview
Section 14.3.1, “ Overview ”
Applying example for the Film filter
Figure 16.264, “ Applying example for the Film filter ”
Accessing this Filter
Section 14.3.2, “ Accessing this Filter ”
Options
Section 14.3.3, “ Options ”
“Film” filter options (Selection)
Figure 16.265, “ “Film” filter options (Selection) ”
“Film” filter options (Advanced)
Figure 16.266, “ “Film” filter options (Advanced) ”
Animation filters
Section 15, “ Animation filters ”
Optimize
Section 15.1, “ Optimize ”
Overview
Section 15.1.1, “ Overview ”
Example for the Optimize animation filters
Figure 16.267, “ Example for the Optimize animation filters ”
Options
Section 15.1.2, “ Options ”
Playback
Section 15.2, “ Playback ”
Overview
Section 15.2.1, “ Overview ”
Activate the filter
Section 15.2.2, “ Activate the filter ”
Options
Section 15.2.3, “ Options ”
“Playback” filter options
Figure 16.268, “ “Playback” filter options ”
Web filters
Section 16, “ Web filters ”
ImageMap
Section 16.1, “ ImageMap ”
Overview
Section 16.1.1, “ Overview ”
Activate the filter
Section 16.1.2, “ Activate the filter ”
Options
Section 16.1.3, “ Options ”
ImageMap options
Figure 16.269, “ ImageMap options ”
GIMP keys and mouse reference
GIMP keys and mouse reference
Help
Help
Help
the section called “Help”
Toolbox
Toolbox
Toolbox
the section called “Toolbox”
File
File
File
the section called “File”
Dialogs
Dialogs
Dialogs
the section called “Dialogs”
View
View
View
the section called “View”
Edit
Edit
Edit
the section called “Edit”
Layers
Layers
Layers
the section called “Layers”
Selections
Selections
Selections
the section called “Selections”
Plug-ins
Plug-ins
Plug-ins
the section called “Plug-ins”
Zoom tool
Zoom tool
Zoom tool
the section called “Zoom tool”
Glossary
Glossary
???TITLE???
???
Alpha
Alpha
Antialiasing
Antialiasing
???TITLE???
???
Bezier curve
Bezier curve
Bitmap
Bitmap

BMP
BMP
???TITLE???
BMP
???TITLE???
BMP
Bump mapping
Bump mapping
???TITLE???
???
Channels
Channels
Clipboard
Clipboard
Color depth
Color depth
Color model
Color model
CMY, CMYK
CMY, CMYK
Subtractive color model
Figure 659, “ Subtractive color model ”
???TITLE???
???
Dithering
Dithering
???TITLE???
???
File Format
File Format
Feathering
Feathering
Floating Selection
Floating Selection
Floyd-Steinberg Dithering
Floyd-Steinberg Dithering
???TITLE???
???
Gamma
Gamma
GIF

GIF
???TITLE???
GIF
???TITLE???
GIF
The GIF Save dialog
Figure 660, “ The GIF Save dialog ”
GNU
GNU
Grayscale
Grayscale
Guides
Guides
???TITLE???
???
Hextriplet
Hextriplet
Histogram
Histogram
HSV
HSV
???TITLE???
???
Image Hose
Image Hose
Incremental, paint mode
Incremental, paint mode
Indexed Colors
Indexed Colors
Interpolation
Interpolation
???TITLE???
???
JPEG

JPEG
???TITLE???
JPEG
???TITLE???
JPEG
The JPEG Save dialog
Figure 661, “ The JPEG Save dialog ”
???TITLE???
???
L*a*b
L*a*b
Layer
Layer
???TITLE???
???
Marching Ants
Marching Ants
Masks
Masks
Moiré Effect
Moiré Effect
???TITLE???
???
Parasite
Parasite
Path
Path
PDB
PDB

PDF
PDF
???TITLE???
PDF
???TITLE???
PDF
Pixel
Pixel
Plug-in
Plug-in

PostScript
PostScript
???TITLE???
PostScript
???TITLE???
PostScript

PNG
PNG
???TITLE???
PNG
???TITLE???
PNG
???TITLE???
PNG
The “Save as PNG” dialog
Figure 662, “ The “Save as PNG” dialog ”
PSD

PSD
???TITLE???
???
???TITLE???
???
???TITLE???
???
Quantization
Quantization
???TITLE???
???
RGB
RGB
Additive color model
Figure 663, “ Additive color model ”
Colorcircle
Figure 664, “ Colorcircle ”
???TITLE???
???
Sample Merge
Sample Merge
Supersampling
Supersampling
TGA

TGA
???TITLE???
???
TIFF

TIFF
???TITLE???
???
???TITLE???
???
Tile
Tile
URL
URL
URI
URI
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
XCF
XCF
YCbCr
YCbCr
YUV
YUV
Bibliography
Bibliography
Books
Books
GIMP - kurz & gut
Neumann99
Grokking the Gimp
Bunks00
Beginning GIMP: From Novice to Professional
Apress00
Online resources
Online resources
Bugzilla-GIMP
BUGZILLA-GIMP
Wikipedia
Wikipedia04
Making shapes in GIMP
bibliography-online-gunther
Straight Line Tutorial
Burgess02
Face in blocks
Bach04
GIMP History
Appendix A, GIMP History
The very beginning
Section 1, “ The very beginning ”
The early days of GIMP
Section 2, “ The early days of GIMP ”
The One to change the world
Section 3, “ The One to change the world ”
New in GIMP 2
Section 4, “ New in GIMP 2 ”
Reporting Bugs and Requesting Enhancements
Appendix B, Reporting Bugs and Requesting Enhancements
Making sure it's a Bug
Section 1, “ Making sure it's a Bug ”
Reporting the Bug
Section 2, “ Reporting the Bug ”
What Happens to a Bug Report after you Submit it
Section 3, “ What Happens to a Bug Report after you Submit it ”
GNU Free Documentation License
Appendix C, GNU Free Documentation License
???TITLE???
???
PREAMBLE
Section 1, “PREAMBLE”
APPLICABILITY AND DEFINITIONS
Section 2, “APPLICABILITY AND DEFINITIONS”
???TITLE???
Section 2, “APPLICABILITY AND DEFINITIONS”
???TITLE???
Section 2, “APPLICABILITY AND DEFINITIONS”
???TITLE???
Section 2, “APPLICABILITY AND DEFINITIONS”
???TITLE???
Section 2, “APPLICABILITY AND DEFINITIONS”
???TITLE???
Section 2, “APPLICABILITY AND DEFINITIONS”
???TITLE???
Section 2, “APPLICABILITY AND DEFINITIONS”
???TITLE???
Section 2, “APPLICABILITY AND DEFINITIONS”
???TITLE???
Section 2, “APPLICABILITY AND DEFINITIONS”
VERBATIM COPYING
Section 3, “VERBATIM COPYING”
COPYING IN QUANTITY
Section 4, “COPYING IN QUANTITY”
MODIFICATIONS
Section 5, “MODIFICATIONS”
COMBINING DOCUMENTS
Section 6, “COMBINING DOCUMENTS”
COLLECTIONS OF DOCUMENTS
Section 7, “COLLECTIONS OF DOCUMENTS”
AGGREGATION WITH INDEPENDENT WORKS
Section 8, “AGGREGATION WITH INDEPENDENT WORKS”
TRANSLATION
Section 9, “TRANSLATION”
TERMINATION
Section 10, “TERMINATION”
FUTURE REVISIONS OF THIS LICENSE
Section 11, “FUTURE REVISIONS OF THIS LICENSE”
ADDENDUM: How to use this License for your documents
Section 12, “ADDENDUM: How to use this License for your documents”
Eeek! There is missing help
Appendix D, Eeek! There is missing help
Index
Index